Package org.eclipse.jdt.ui

# Class PreferenceConstants

java.lang.Object
org.eclipse.jdt.ui.PreferenceConstants

public class PreferenceConstants extends Object
Preference constants used in the JDT-UI preference store. Clients should only read the JDT-UI preference store using these values. Clients are not allowed to modify the preference store programmatically.

This class it is not intended to be instantiated or subclassed by clients.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPEARANCE_ABBREVIATE_PACKAGE_NAMES`
A named preference that controls if package name abbreviation is turned on or off.
`static final String`
`APPEARANCE_CATEGORY`
A named preference that controls category rendering of Java elements in the UI.
`static final String`
`APPEARANCE_COMPRESS_PACKAGE_NAMES`
A named preference that controls if package name compression is turned on or off.
`static final String`
`APPEARANCE_ENABLE_VISIBILITY_SORT_ORDER`
A named preferences that controls if Java elements are also sorted by visibility.
`static final String`
`APPEARANCE_FOLD_PACKAGES_IN_PACKAGE_EXPLORER`
A named preference that controls if empty inner packages are folded in the hierarchical mode of the package explorer.
`static final String`
`APPEARANCE_JAVADOC_FONT`
The symbolic font name for the font used to display Javadoc (value `"org.eclipse.jdt.ui.javadocfont"`).
`static final String`
`APPEARANCE_MEMBER_SORT_ORDER`
A named preference that defines how member elements are ordered by the Java views using the `JavaElementSorter`.
`static final String`
`APPEARANCE_METHOD_RETURNTYPE`
A named preference that controls return type rendering of methods in the UI.
`static final String`
`APPEARANCE_METHOD_TYPEPARAMETERS`
A named preference that controls type parameter rendering of methods in the UI.
`static final String`
`APPEARANCE_OVERRIDE_INDICATOR`
Deprecated.
Override Indicator is now controlled on the platform's decorator preference page
`static final String`
`APPEARANCE_PKG_NAME_ABBREVIATION_PATTERN_FOR_PKG_VIEW`
A named preference that defines the patterns used for package name abbreviation.
`static final String`
`APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW`
A named preference that defines the pattern used for package name compression.
`static final String`
`APPEARANCE_SORT_LIBRARY_ENTRIES_BY_NAME`
A named preference that controls if entries of library containers are sorted alphabetically.
`static final String`
`APPEARANCE_VISIBILITY_SORT_ORDER`
A named preference that defines how member elements are ordered by visibility in the Java views using the `JavaElementSorter`.
`static final String`
`BROWSING_LINK_VIEW_TO_EDITOR`
A named preference that controls if the Java Browsing views are linked to the active editor.
`static final String`
`BROWSING_STACK_VERTICALLY`
A named preference that controls the layout of the Java Browsing views vertically.
`static final String`
`CODEASSIST_ADDIMPORT`
A named preference that controls if the Java code assist adds import statements.
`static final String`
`CODEASSIST_AUTOACTIVATION`
A named preference that controls if the Java code assist gets auto activated.
`static final String`
`CODEASSIST_AUTOACTIVATION_DELAY`
A name preference that holds the auto activation delay time in milliseconds.
`static final String`
`CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVA`
A named preference that holds the characters that auto activate code assist in Java code.
`static final String`
`CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVADOC`
A named preference that holds the characters that auto activate code assist in Javadoc.
`static final String`
`CODEASSIST_AUTOINSERT`
A named preference that controls if the Java code assist inserts a proposal automatically if only one proposal is available.
`static final String`
`CODEASSIST_CASE_SENSITIVITY`
A named preference that controls whether code assist proposals filtering is case sensitive or not.
`static final String`
`CODEASSIST_CATEGORY_ORDER`
A named preference that controls which the order of the specific code assist commands.
`static final String`
`CODEASSIST_DISABLE_COMPLETION_PROPOSAL_TRIGGER_CHARS`
A named preference that controls if the Java code assist ignores the insertion trigger characters for completion proposals.
`static final String`
`CODEASSIST_EXCLUDED_CATEGORIES`
A named preference that controls which completion proposal categories have been excluded from the default proposal list.
`static final String`
`CODEASSIST_FAVORITE_STATIC_MEMBERS`
A named preference that holds the favorite static members.
`static final String`
`CODEASSIST_FILL_ARGUMENT_NAMES`
A named preference that controls if argument names are filled in when a method is selected from as list of code assist proposal.
`static final String`
`CODEASSIST_GUESS_METHOD_ARGUMENTS`
A named preference that controls if method arguments are guessed when a method is selected from as list of code assist proposal.
`static final String`
`CODEASSIST_INSERT_COMPLETION`
A named preference that controls if the Java code assist only inserts completions.
`static final String`
`CODEASSIST_LRU_HISTORY`
A named preference that stores the content assist LRU history
`static final String`
`CODEASSIST_NONUITHREAD_COMPUTATION`
A named preference that controls whether completion processors should be called from the non-UI thread, when they declare ability to work from non-UI Thread.
`static final String`
`CODEASSIST_ORDER_PROPOSALS`
Deprecated.
use `CODEASSIST_SORTER` instead
`static final String`
`CODEASSIST_PARAMETERS_BACKGROUND`
A named preference that holds the background color used for parameter hints.
`static final String`
`CODEASSIST_PARAMETERS_FOREGROUND`
A named preference that holds the foreground color used in the code assist selection dialog.
`static final String`
`CODEASSIST_PREFIX_COMPLETION`
A named preference that controls if content assist inserts the common prefix of all proposals before presenting choices.
`static final String`
`CODEASSIST_PROPOSALS_BACKGROUND`
Deprecated.
As of 3.4, replaced by `JFacePreferences.CONTENT_ASSIST_BACKGROUND_COLOR`,
`static final String`
`CODEASSIST_PROPOSALS_FOREGROUND`
Deprecated.
As of 3.4, replaced by `JFacePreferences.CONTENT_ASSIST_FOREGROUND_COLOR`,
`static final String`
`CODEASSIST_REPLACEMENT_BACKGROUND`
A named preference that holds the background color used in the code assist selection dialog to mark replaced code.
`static final String`
`CODEASSIST_REPLACEMENT_FOREGROUND`
A named preference that holds the foreground color used in the code assist selection dialog to mark replaced code.
`static final String`
`CODEASSIST_SHOW_VISIBLE_PROPOSALS`
A named preference that controls if code assist contains only visible proposals.
`static final String`
`CODEASSIST_SORTER`
A named preference that stores the content assist sorter id.
`static final String`
`CODEGEN__FILE_COMMENTS`
Deprecated.
New code template story: user can specify the new file code template.
`static final String`
`CODEGEN__JAVADOC_STUBS`
Deprecated.
Use CODEGEN_ADD_COMMENTS instead (Name is more precise).
`static final String`
`CODEGEN__NON_JAVADOC_COMMENTS`
Deprecated.
New code template story: user can specify the overriding method comment.
`static final String`
`CODEGEN_ADD_COMMENTS`
A named preference that controls if comment stubs will be added automatically to newly created types and methods.
`static final String`
`CODEGEN_EXCEPTION_VAR_NAME`
A named preference that defines the preferred variable names for exceptions in catch clauses.
`static final String`
`CODEGEN_GETTERSETTER_PREFIX`
Deprecated.
Use JavaCore preference store (key JavaCore.
`static final String`
`CODEGEN_GETTERSETTER_SUFFIX`
Deprecated.
Use setting from JavaCore preference store (key JavaCore.
`static final String`
`CODEGEN_IS_FOR_GETTERS`
A named preference that controls whether automatically created getters which return a boolean field should start with "is" or should be prefixed with "get".
`static final String`
`CODEGEN_KEYWORD_THIS`
A named preference that controls whether the keyword "this" will be added automatically to field accesses in generated methods.
`static final String`
`CODEGEN_USE_GETTERSETTER_PREFIX`
Deprecated.
Use JavaCore preference store (key JavaCore.
`static final String`
`CODEGEN_USE_GETTERSETTER_SUFFIX`
Deprecated.
Use JavaCore preference store (key JavaCore.
`static final String`
`CODEGEN_USE_OVERRIDE_ANNOTATION`
A named preference that controls whether to add a override annotation for newly created methods
`static final String`
`DECORATE_TEST_CODE_CONTAINER_ICONS`
A named preference that tells whether to use different icons for source folders marked to contain test code and classpath entries visible only for test sources.
`static final String`
`DOUBLE_CLICK`
A named preference that controls the behavior when double clicking on a container in the packages view.
`static final String`
`DOUBLE_CLICK_EXPANDS`
A string value used by the named preference `DOUBLE_CLICK`.
`static final String`
`DOUBLE_CLICK_GOES_INTO`
A string value used by the named preference `DOUBLE_CLICK`.
`static final String`
`EDITOR_ADD_JAVADOC_TAGS`
A named preference that controls whether the 'add JavaDoc tags' feature is enabled.
`static final String`
`EDITOR_ALT_SHIFT_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_ANNOTATION_ROLL_OVER`
A named preference that controls whether annotation roll over is used or not.
`static final String`
`EDITOR_BACKGROUND_COLOR`
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_BACKGROUND`
`static final String`
`EDITOR_BACKGROUND_DEFAULT_COLOR`
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT`
`static final String`
`EDITOR_BOLD_SUFFIX`
Preference key suffix for bold text style preference keys.
`static final String`
`EDITOR_BOOKMARK_INDICATION`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_BOOKMARK_INDICATION_COLOR`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_BROWSER_LIKE_LINKS`
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINKS_ENABLED`
`static final String`
`EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER`
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINK_KEY_MODIFIER`
`static final String`
`EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER_MASK`
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINK_KEY_MODIFIER_MASK`
`static final String`
`EDITOR_CLOSE_BRACES`
A named preference that controls whether the 'close braces' feature is enabled.
`static final String`
`EDITOR_CLOSE_BRACKETS`
A named preference that controls whether the 'close brackets' feature is enabled.
`static final String`
`EDITOR_CLOSE_JAVADOCS`
A named preference that controls whether the 'close java docs' feature is enabled.
`static final String`
`EDITOR_CLOSE_STRINGS`
A named preference that controls whether the 'close strings' feature is enabled.
`static final String`
`EDITOR_CODEMINING_ENABLED`
A named preference that controls whether codemining is enabled in the Java editor.
`static final String`
`EDITOR_CORRECTION_INDICATION`
A named preference that controls if correction indicators are shown in the UI.
`static final String`
`EDITOR_CTRL_ALT_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_CTRL_ALT_SHIFT_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_CTRL_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_CTRL_SHIFT_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_CURRENT_LINE`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_CURRENT_LINE_COLOR`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_DEFAULT_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_DISABLE_OVERWRITE_MODE`
Deprecated.
as of 3.1 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_DISABLE_OVERWRITE_MODE`
`static final String`
`EDITOR_ENCLOSING_BRACKETS`
A named preference that controls whether enclosing bracket matching highlighting is turned on or off.
`static final String`
`EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_ESCAPE_STRINGS`
A named preference that controls whether the 'escape strings' feature is enabled.
`static final String`
`EDITOR_ESCAPE_STRINGS_NON_ASCII`
A named preference that controls whether non-ascii characters are replaced by unicode escape sequences when the 'escape strings' feature is used.
`static final String`
`EDITOR_EVALUTE_TEMPORARY_PROBLEMS`
A named preference that controls if temporary problems are evaluated and shown in the UI.
`static final String`
`EDITOR_FIND_SCOPE_COLOR`
Deprecated.
As of 3.2, use `AbstractTextEditor.PREFERENCE_COLOR_FIND_SCOPE` instead}
`static final String`
`EDITOR_FOLDING_ENABLED`
A named preference that controls whether folding is enabled in the Java editor.
`static final String`
`EDITOR_FOLDING_HEADERS`
A named preference that stores the value for header comment folding for the default folding provider.
`static final String`
`EDITOR_FOLDING_IMPORTS`
A named preference that stores the value for imports folding for the default folding provider.
`static final String`
`EDITOR_FOLDING_INNERTYPES`
A named preference that stores the value for inner type folding for the default folding provider.
`static final String`
`EDITOR_FOLDING_JAVADOC`
A named preference that stores the value for Javadoc folding for the default folding provider.
`static final String`
`EDITOR_FOLDING_METHODS`
A named preference that stores the value for method folding for the default folding provider.
`static final String`
`EDITOR_FOLDING_PROVIDER`
A named preference that stores the configured folding provider.
`static final String`
`EDITOR_FOREGROUND_COLOR`
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_FOREGROUND`
`static final String`
`EDITOR_FOREGROUND_DEFAULT_COLOR`
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT`
`static final String`
`EDITOR_FORMAT_JAVADOCS`
A named preference that controls whether the 'format Javadoc tags' feature is enabled.
`static final String`
`EDITOR_HIGHLIGHT_BRACKET_AT_CARET_LOCATION`
A named preference that controls whether bracket at caret location is highlighted or not.
`static final String`
`EDITOR_IMPORTS_ON_PASTE`
A named preference that controls whether 'paste' should update the imports.
`static final String`
`EDITOR_ITALIC_SUFFIX`
Preference key suffix for italic text style preference keys.
`static final String`
`EDITOR_JAVA_ANNOTATION_BOLD`
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static final String`
`EDITOR_JAVA_ANNOTATION_COLOR`
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static final String`
`EDITOR_JAVA_ANNOTATION_ITALIC`
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static final String`
`EDITOR_JAVA_ANNOTATION_STRIKETHROUGH`
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static final String`
`EDITOR_JAVA_ANNOTATION_UNDERLINE`
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static final String`
`EDITOR_JAVA_BRACKET_BOLD`
A named preference that controls whether brackets are rendered in bold.
`static final String`
`EDITOR_JAVA_BRACKET_COLOR`
A named preference that holds the color used to render brackets.
`static final String`
`EDITOR_JAVA_BRACKET_ITALIC`
A named preference that controls whether brackets are rendered in italic.
`static final String`
`EDITOR_JAVA_BRACKET_STRIKETHROUGH`
A named preference that controls whether brackets are rendered in strikethrough.
`static final String`
`EDITOR_JAVA_BRACKET_UNDERLINE`
A named preference that controls whether brackets are rendered in underline.
`static final String`
`EDITOR_JAVA_CODEMINING_IGNORE_INEXACT_MATCHES`
A named preference that stores the value for "Ignore inexact matches".
`static final String`
`EDITOR_JAVA_CODEMINING_PREFIX`
A named preference prefix for Java code mining preferences.
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_CODEMINING_AT_LEAST_ONE`
A named preference that stores the value for "Only if there is at least one result".
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_IMPLEMENTATIONS`
A named preference that stores the value for "Show implementations" codemining.
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_PARAMETER_NAMES`
A named preference that stores the value for "Show parameter names" codemining.
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_REFERENCES`
A named preference that stores the value for "Show references" codemining.
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_FIELDS`
A named preference that stores the value for "Show references" on fields.
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_METHODS`
A named preference that stores the value for "Show references" on methods.
`static final String`
`EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_TYPES`
A named preference that stores the value for "Show references" on types.
`static final String`
`EDITOR_JAVA_DEFAULT_BOLD`
A named preference that controls whether Java default text is rendered in bold.
`static final String`
`EDITOR_JAVA_DEFAULT_COLOR`
A named preference that holds the color used to render java default text.
`static final String`
`EDITOR_JAVA_DEFAULT_ITALIC`
A named preference that controls whether Java default text is rendered in italic.
`static final String`
`EDITOR_JAVA_DEFAULT_STRIKETHROUGH`
A named preference that controls whether Java default text is rendered in strikethrough.
`static final String`
`EDITOR_JAVA_DEFAULT_UNDERLINE`
A named preference that controls whether Java default text is rendered in underline.
`static final String`
`EDITOR_JAVA_KEYWORD_BOLD`
A named preference that controls whether keywords are rendered in bold.
`static final String`
`EDITOR_JAVA_KEYWORD_COLOR`
A named preference that holds the color used to render java keywords.
`static final String`
`EDITOR_JAVA_KEYWORD_ITALIC`
A named preference that controls whether keywords are rendered in italic.
`static final String`
`EDITOR_JAVA_KEYWORD_RETURN_BOLD`
A named preference that controls whether 'return' keyword is rendered in bold.
`static final String`
`EDITOR_JAVA_KEYWORD_RETURN_COLOR`
A named preference that holds the color used to render the 'return' keyword.
`static final String`
`EDITOR_JAVA_KEYWORD_RETURN_ITALIC`
A named preference that controls whether 'return' keyword is rendered in italic.
`static final String`
`EDITOR_JAVA_KEYWORD_RETURN_STRIKETHROUGH`
A named preference that controls whether 'return' keyword is rendered in strikethrough.
`static final String`
`EDITOR_JAVA_KEYWORD_RETURN_UNDERLINE`
A named preference that controls whether 'return' keyword is rendered in italic.
`static final String`
`EDITOR_JAVA_KEYWORD_STRIKETHROUGH`
A named preference that controls whether keywords are rendered in strikethrough.
`static final String`
`EDITOR_JAVA_KEYWORD_UNDERLINE`
A named preference that controls whether keywords are rendered in underline.
`static final String`
`EDITOR_JAVA_METHOD_NAME_BOLD`
Deprecated.
the method name highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.METHOD`
`static final String`
`EDITOR_JAVA_METHOD_NAME_COLOR`
Deprecated.
the method name highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.METHOD`
`static final String`
`EDITOR_JAVA_METHOD_NAME_ITALIC`
Deprecated.
the method name highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.METHOD`
`static final String`
`EDITOR_JAVA_OPERATOR_BOLD`
A named preference that controls whether operators are rendered in bold.
`static final String`
`EDITOR_JAVA_OPERATOR_COLOR`
A named preference that holds the color used to render operators.
`static final String`
`EDITOR_JAVA_OPERATOR_ITALIC`
A named preference that controls whether operators are rendered in italic.
`static final String`
`EDITOR_JAVA_OPERATOR_STRIKETHROUGH`
A named preference that controls whether operators are rendered in strikethrough.
`static final String`
`EDITOR_JAVA_OPERATOR_UNDERLINE`
A named preference that controls whether operators are rendered in underline.
`static final String`
`EDITOR_JAVADOC_DEFAULT_BOLD`
A named preference that controls whether javadoc default text is rendered in bold.
`static final String`
`EDITOR_JAVADOC_DEFAULT_COLOR`
A named preference that holds the color used to render javadoc default text.
`static final String`
`EDITOR_JAVADOC_DEFAULT_ITALIC`
A named preference that controls whether javadoc default text is rendered in italic.
`static final String`
`EDITOR_JAVADOC_DEFAULT_STRIKETHROUGH`
A named preference that controls whether javadoc default text is rendered in strikethrough.
`static final String`
`EDITOR_JAVADOC_DEFAULT_UNDERLINE`
A named preference that controls whether javadoc default text is rendered in underline.
`static final String`
`EDITOR_JAVADOC_KEYWORD_BOLD`
A named preference that controls whether javadoc keywords are rendered in bold.
`static final String`
`EDITOR_JAVADOC_KEYWORD_COLOR`
A named preference that holds the color used to render javadoc keywords.
`static final String`
`EDITOR_JAVADOC_KEYWORD_ITALIC`
A named preference that controls whether javadoc keywords are rendered in italic.
`static final String`
`EDITOR_JAVADOC_KEYWORD_STRIKETHROUGH`
A named preference that controls whether javadoc keywords are rendered in strikethrough.
`static final String`
`EDITOR_JAVADOC_KEYWORD_UNDERLINE`
A named preference that controls whether javadoc keywords are rendered in underline.
`static final String`
`EDITOR_JAVADOC_LINKS_BOLD`
A named preference that controls whether javadoc links are rendered in bold.
`static final String`
`EDITOR_JAVADOC_LINKS_COLOR`
A named preference that holds the color used to render javadoc links.
`static final String`
`EDITOR_JAVADOC_LINKS_ITALIC`
A named preference that controls whether javadoc links are rendered in italic.
`static final String`
`EDITOR_JAVADOC_LINKS_STRIKETHROUGH`
A named preference that controls whether javadoc links are rendered in strikethrough.
`static final String`
`EDITOR_JAVADOC_LINKS_UNDERLINE`
A named preference that controls whether javadoc links are rendered in underline.
`static final String`
`EDITOR_JAVADOC_TAG_BOLD`
A named preference that controls whether javadoc tags are rendered in bold.
`static final String`
`EDITOR_JAVADOC_TAG_COLOR`
A named preference that holds the color used to render javadoc tags.
`static final String`
`EDITOR_JAVADOC_TAG_ITALIC`
A named preference that controls whether javadoc tags are rendered in italic.
`static final String`
`EDITOR_JAVADOC_TAG_STRIKETHROUGH`
A named preference that controls whether javadoc tags are rendered in strikethrough.
`static final String`
`EDITOR_JAVADOC_TAG_UNDERLINE`
A named preference that controls whether javadoc tags are rendered in underline.
`static final String`
`EDITOR_LINE_NUMBER_RULER`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_LINE_NUMBER_RULER_COLOR`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_LINK_COLOR`
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINK_COLOR`
`static final String`
`EDITOR_LINKED_POSITION_COLOR`
Deprecated.
not used any longer as the linked positions are displayed as annotations
`static final String`
`EDITOR_MARK_BREAK_CONTINUE_TARGETS`
A named preference that controls whether targets for of `break` and `continue` statements are marked.
`static final String`
`EDITOR_MARK_CONSTANT_OCCURRENCES`
A named preference that controls whether constant (static final) occurrences are marked.
`static final String`
`EDITOR_MARK_EXCEPTION_OCCURRENCES`
A named preference that controls whether exception occurrences are marked.
`static final String`
`EDITOR_MARK_FIELD_OCCURRENCES`
A named preference that controls whether non-constant field occurrences are marked.
`static final String`
`EDITOR_MARK_IMPLEMENTORS`
A named preference that controls whether method exit points are marked.
`static final String`
`EDITOR_MARK_LOCAL_VARIABLE_OCCURRENCES`
A named preference that controls whether local variable occurrences are marked.
`static final String`
`EDITOR_MARK_METHOD_EXIT_POINTS`
A named preference that controls whether method exit points are marked.
`static final String`
`EDITOR_MARK_METHOD_OCCURRENCES`
A named preference that controls whether method occurrences are marked.
`static final String`
`EDITOR_MARK_OCCURRENCES`
A named preference that controls whether occurrences are marked in the editor.
`static final String`
`EDITOR_MARK_TYPE_OCCURRENCES`
A named preference that controls whether type occurrences are marked.
`static final String`
`EDITOR_MATCHING_BRACKETS`
A named preference that controls whether bracket matching highlighting is turned on or off.
`static final String`
`EDITOR_MATCHING_BRACKETS_COLOR`
A named preference that holds the color used to highlight matching brackets.
`static final String`
`EDITOR_MULTI_LINE_COMMENT_BOLD`
A named preference that controls whether multi-line comments are rendered in bold.
`static final String`
`EDITOR_MULTI_LINE_COMMENT_COLOR`
A named preference that holds the color used to render multi-line comments.
`static final String`
`EDITOR_MULTI_LINE_COMMENT_ITALIC`
A named preference that controls whether multi-line comments are rendered in italic.
`static final String`
`EDITOR_MULTI_LINE_COMMENT_STRIKETHROUGH`
A named preference that controls whether multi-line comments are rendered in strikethrough.
`static final String`
`EDITOR_MULTI_LINE_COMMENT_UNDERLINE`
A named preference that controls whether multi-line comments are rendered in underline.
`static final String`
`EDITOR_NO_HOVER_CONFIGURED_ID`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_NONE_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_PRINT_MARGIN`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_PRINT_MARGIN_COLOR`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_PRINT_MARGIN_COLUMN`
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static final String`
`EDITOR_PROBLEM_INDICATION`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_PROBLEM_INDICATION_COLOR`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_QUICKASSIST_LIGHTBULB`
A named preference that controls if quick assist light bulbs are shown.
`static final String`
`EDITOR_SEARCH_RESULT_INDICATION`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_SEARCH_RESULT_INDICATION_COLOR`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_BOLD_SUFFIX`
A named preference suffix that controls if semantic highlighting has the text attribute bold.
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_COLOR_SUFFIX`
A named preference suffix that controls a semantic highlighting's color.
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED`
Deprecated.
As of 3.1, this preference is not used or set any longer; see `SemanticHighlightings.affectsEnablement(IPreferenceStore, org.eclipse.jface.util.PropertyChangeEvent)`
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED_SUFFIX`
A named preference suffix that controls if semantic highlighting is enabled.
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_ITALIC_SUFFIX`
A named preference suffix that controls if semantic highlighting has the text attribute italic.
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_PREFIX`
A named preference prefix for semantic highlighting preferences.
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_STRIKETHROUGH_SUFFIX`
A named preference suffix that controls if semantic highlighting has the text attribute strikethrough.
`static final String`
`EDITOR_SEMANTIC_HIGHLIGHTING_UNDERLINE_SUFFIX`
A named preference suffix that controls if semantic highlighting has the text attribute underline.
`static final String`
`EDITOR_SHIFT_HOVER`
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static final String`
`EDITOR_SHOW_HOVER`
A named preference that controls whether hover tool tips in the editor are turned on or off.
`static final String`
`EDITOR_SHOW_SEGMENTS`
A named preference that controls if segmented view (show selected element only) is turned on or off.
`static final String`
`EDITOR_SHOW_TEXT_HOVER_AFFORDANCE`
Deprecated.
As of 3.3, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_SHOW_TEXT_HOVER_AFFORDANCE`
`static final String`
`EDITOR_SINGLE_LINE_COMMENT_BOLD`
A named preference that controls whether single line comments are rendered in bold.
`static final String`
`EDITOR_SINGLE_LINE_COMMENT_COLOR`
A named preference that holds the color used to render single line comments.
`static final String`
`EDITOR_SINGLE_LINE_COMMENT_ITALIC`
A named preference that controls whether single line comments are rendered in italic.
`static final String`
`EDITOR_SINGLE_LINE_COMMENT_STRIKETHROUGH`
A named preference that controls whether single line comments are rendered in strikethrough.
`static final String`
`EDITOR_SINGLE_LINE_COMMENT_UNDERLINE`
A named preference that controls whether single line comments are rendered in underline.
`static final String`
`EDITOR_SMART_BACKSPACE`
A named preference that controls the smart backspace behavior.
`static final String`
`EDITOR_SMART_HOME_END`
Deprecated.
as of 3.3 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_SMART_HOME_END`
`static final String`
`EDITOR_SMART_INDENT_AFTER_NEWLINE`
A named preference that controls whether on Enter key the indentation should be smart or the same as previous line.
`static final String`
`EDITOR_SMART_OPENING_BRACE`
A named preference that controls the "smart opening brace" smart typing handler.
`static final String`
`EDITOR_SMART_PASTE`
A named preference that controls whether the 'smart paste' feature is enabled.
`static final String`
`EDITOR_SMART_SEMICOLON`
A named preference that controls the "smart semicolon" smart typing handler.
`static final String`
`EDITOR_SMART_TAB`
A named preference that controls the smart tab behavior.
`static final String`
`EDITOR_SOURCE_HOVER_BACKGROUND_COLOR`
A named preference that holds the source hover background color.
`static final String`
`EDITOR_SOURCE_HOVER_BACKGROUND_COLOR_SYSTEM_DEFAULT`
A named preference that tells whether to use the system default color (`SWT.COLOR_INFO_BACKGROUND`) for the source hover background color.
`static final String`
`EDITOR_SPACES_FOR_TABS`
Deprecated.
As of 3.1 replaced by the formatter setting defined in `DefaultCodeFormatterConstants.FORMATTER_TAB_CHAR`
`static final String`
`EDITOR_STICKY_OCCURRENCES`
A named preference that controls whether occurrences are sticky in the editor.
`static final String`
`EDITOR_STRIKETHROUGH_SUFFIX`
Preference key suffix for strikethrough text style preference keys.
`static final String`
`EDITOR_STRING_BOLD`
A named preference that controls whether string constants are rendered in bold.
`static final String`
`EDITOR_STRING_COLOR`
A named preference that holds the color used to render string constants.
`static final String`
`EDITOR_STRING_ITALIC`
A named preference that controls whether string constants are rendered in italic.
`static final String`
`EDITOR_STRING_STRIKETHROUGH`
A named preference that controls whether string constants are rendered in strikethrough.
`static final String`
`EDITOR_STRING_UNDERLINE`
A named preference that controls whether string constants are rendered in underline.
`static final String`
`EDITOR_SUB_WORD_NAVIGATION`
A named preference that controls whether the 'sub-word navigation' feature is enabled.
`static final String`
`EDITOR_SYNC_OUTLINE_ON_CURSOR_MOVE`
A named preference that controls whether the outline view selection should stay in sync with with the element at the current cursor position.
`static final String`
`EDITOR_TAB_WIDTH`
Deprecated.
As of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_TAB_WIDTH`
`static final String`
`EDITOR_TASK_INDICATION`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_TASK_INDICATION_COLOR`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_TASK_TAG_BOLD`
A named preference that controls whether task tags are rendered in bold.
`static final String`
`EDITOR_TASK_TAG_COLOR`
A named preference that holds the color used to render task tags.
`static final String`
`EDITOR_TASK_TAG_ITALIC`
A named preference that controls whether task tags are rendered in italic.
`static final String`
`EDITOR_TASK_TAG_STRIKETHROUGH`
A named preference that controls whether task tags are rendered in strikethrough.
`static final String`
`EDITOR_TASK_TAG_UNDERLINE`
A named preference that controls whether task tags are rendered in underline.
`static final String`
`EDITOR_TEXT_FONT`
The symbolic font name for the Java editor text font (value `"org.eclipse.jdt.ui.editors.textfont"`).
`static final String`
`EDITOR_TEXT_HOVER_MODIFIER_MASKS`
A named preference that defines the key for the hover modifier state masks.
`static final String`
`EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the key for the hover modifiers.
`static final String`
`EDITOR_UNDERLINE_SUFFIX`
Preference key suffix for underline text style preference keys.
`static final String`
`EDITOR_UNKNOWN_INDICATION`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_UNKNOWN_INDICATION_COLOR`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_WARNING_INDICATION`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_WARNING_INDICATION_COLOR`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
`static final String`
`EDITOR_WRAP_STRINGS`
A named preference that controls whether the 'wrap strings' feature is enabled.
`static final String`
`FORMATTER_COMMENT_CLEARBLANKLINES`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_CLEAR_BLANK_LINES`
`static final String`
`FORMATTER_COMMENT_FORMAT`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT`
`static final String`
`FORMATTER_COMMENT_FORMATHEADER`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT_HEADER`
`static final String`
`FORMATTER_COMMENT_FORMATHTML`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT_HTML`
`static final String`
`FORMATTER_COMMENT_FORMATSOURCE`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT_SOURCE`
`static final String`
`FORMATTER_COMMENT_INDENTPARAMETERDESCRIPTION`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INDENT_PARAMETER_DESCRIPTION`
`static final String`
`FORMATTER_COMMENT_INDENTROOTTAGS`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INDENT_ROOT_TAGS`
`static final String`
`FORMATTER_COMMENT_LINELENGTH`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_LINE_LENGTH`
`static final String`
`FORMATTER_COMMENT_NEWLINEFORPARAMETER`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INSERT_NEW_LINE_FOR_PARAMETER`
`static final String`
`FORMATTER_COMMENT_SEPARATEROOTTAGS`
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INSERT_EMPTY_LINE_BEFORE_ROOT_TAGS`
`static final String`
`FORMATTER_PROFILE`
A named preference that controls which profile is used by the code formatter.
`static final String`
`ID_BESTMATCH_HOVER`
The id of the best match hover contributed for extension point `javaEditorTextHovers`.
`static final String`
`ID_JAVADOC_HOVER`
The id of the javadoc hover contributed for extension point `javaEditorTextHovers`.
`static final String`
`ID_PROBLEM_HOVER`
Deprecated.
as of 3.0, this hover is no longer available
`static final String`
`ID_SOURCE_HOVER`
The id of the source code hover contributed for extension point `javaEditorTextHovers`.
`static final String`
`JAVADOC_COMMAND`
A named preference that holds the path of the Javadoc command used by the Javadoc creation wizard.
`static final String`
`LINK_BROWSING_MEMBERS_TO_EDITOR`
A named preference that controls whether the members view's selection is linked to the active editor.
`static final String`
`LINK_BROWSING_PACKAGES_TO_EDITOR`
A named preference that controls whether the packages view's selection is linked to the active editor.
`static final String`
`LINK_BROWSING_PROJECTS_TO_EDITOR`
A named preference that controls whether the projects view's selection is linked to the active editor.
`static final String`
`LINK_BROWSING_TYPES_TO_EDITOR`
A named preference that controls whether the types view's selection is linked to the active editor.
`static final String`
`LINK_PACKAGES_TO_EDITOR`
Deprecated.
Since 3.3.
`static final String`
`LINK_TYPEHIERARCHY_TO_EDITOR`
Deprecated.
Since 3.3.
`static final String`
`NEWPROJECT_JRELIBRARY_INDEX`
A named preferences that specifies the current active JRE library.
`static final String`
`NEWPROJECT_JRELIBRARY_LIST`
A named preference that holds a list of possible JRE libraries used by the New Java Project wizard.
`static final String`
`OPEN_TYPE_HIERARCHY`
A named preference that controls if a new type hierarchy gets opened in a new type hierarchy perspective or inside the type hierarchy view part.
`static final String`
`OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE`
A string value used by the named preference `OPEN_TYPE_HIERARCHY`.
`static final String`
`OPEN_TYPE_HIERARCHY_IN_VIEW_PART`
A string value used by the named preference `OPEN_TYPE_HIERARCHY`.
`static final String`
`ORGIMPORTS_IGNORELOWERCASE`
A named preferences that controls if types that start with a lower case letters get added by the "Organize Import" operation.
`static final String`
`ORGIMPORTS_IMPORTORDER`
A named preference that holds a list of semicolon separated package names.
`static final String`
`ORGIMPORTS_ONDEMANDTHRESHOLD`
A named preference that specifies the number of imports added before a star-import declaration is used.
`static final String`
`ORGIMPORTS_STATIC_ONDEMANDTHRESHOLD`
A named preference that specifies the number of static imports added before a star-import declaration is used.
`static final String`
`PREF_ANONYMOUS_EXPAND_WITH_CONSTRUCTORS`
A named preference that controls whether methods from anonymous types are by default expanded with constructors in the Call Hierarchy.
`static final String`
`PREF_CHAIN_IGNORED_TYPES`
A named preference that stores a '|' separated list of types to exclude from chain completion processing.
`static final String`
`PREF_CHAIN_TIMEOUT`
A named preference that stores the amount of time (in seconds) to allow for chain completion processing.
`static final String`
`PREF_DEFAULT_EXPAND_WITH_CONSTRUCTORS_MEMBERS`
A named preference that holds the methods or types whose methods are by default expanded with constructors in the Call Hierarchy.
`static final String`
`PREF_MAX_CHAIN_LENGTH`
A named preference that stores the maximum number of chain sequences for a given completion.
`static final String`
`PREF_MAX_CHAINS`
A named preference that stores the maximum number of chain completions to be proposed at one time.
`static final String`
`PREF_MIN_CHAIN_LENGTH`
A named preference that stores the minimum number of chain sequences for a given completion.
`static final String`
`PROPERTIES_FILE_COLORING_ARGUMENT`
A named preference that holds the color used to render arguments in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_ARGUMENT_BOLD`
A named preference that controls whether arguments in a properties file are rendered in bold.
`static final String`
`PROPERTIES_FILE_COLORING_ARGUMENT_ITALIC`
A named preference that controls whether arguments in a properties file are rendered in italic.
`static final String`
`PROPERTIES_FILE_COLORING_ARGUMENT_STRIKETHROUGH`
A named preference that controls whether arguments in a properties file are rendered in strikethrough.
`static final String`
`PROPERTIES_FILE_COLORING_ARGUMENT_UNDERLINE`
A named preference that controls whether arguments in a properties file are rendered in underline.
`static final String`
`PROPERTIES_FILE_COLORING_ASSIGNMENT`
A named preference that holds the color used to render assignments in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_ASSIGNMENT_BOLD`
A named preference that controls whether assignments in a properties file are rendered in bold.
`static final String`
`PROPERTIES_FILE_COLORING_ASSIGNMENT_ITALIC`
A named preference that controls whether assignments in a properties file are rendered in italic.
`static final String`
`PROPERTIES_FILE_COLORING_ASSIGNMENT_STRIKETHROUGH`
A named preference that controls whether assignments in a properties file are rendered in strikethrough.
`static final String`
`PROPERTIES_FILE_COLORING_ASSIGNMENT_UNDERLINE`
A named preference that controls whether assignments in a properties file are rendered in underline.
`static final String`
`PROPERTIES_FILE_COLORING_COMMENT`
A named preference that holds the color used to render comments in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_COMMENT_BOLD`
A named preference that controls whether comments in a properties file are rendered in bold.
`static final String`
`PROPERTIES_FILE_COLORING_COMMENT_ITALIC`
A named preference that controls whether comments in a properties file are rendered in italic.
`static final String`
`PROPERTIES_FILE_COLORING_COMMENT_STRIKETHROUGH`
A named preference that controls whether comments in a properties file are rendered in strikethrough.
`static final String`
`PROPERTIES_FILE_COLORING_COMMENT_UNDERLINE`
A named preference that controls whether comments in a properties file are rendered in underline.
`static final String`
`PROPERTIES_FILE_COLORING_KEY`
A named preference that holds the color used to render keys in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_KEY_BOLD`
A named preference that controls whether keys in a properties file are rendered in bold.
`static final String`
`PROPERTIES_FILE_COLORING_KEY_ITALIC`
A named preference that controls whether keys in a properties file are rendered in italic.
`static final String`
`PROPERTIES_FILE_COLORING_KEY_STRIKETHROUGH`
A named preference that controls whether keys in a properties file are rendered in strikethrough.
`static final String`
`PROPERTIES_FILE_COLORING_KEY_UNDERLINE`
A named preference that controls whether keys in a properties file are rendered in underline.
`static final String`
`PROPERTIES_FILE_COLORING_VALUE`
A named preference that holds the color used to render values in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_VALUE_BOLD`
A named preference that controls whether values in a properties file are rendered in bold.
`static final String`
`PROPERTIES_FILE_COLORING_VALUE_ITALIC`
A named preference that controls whether values in a properties file are rendered in italic.
`static final String`
`PROPERTIES_FILE_COLORING_VALUE_STRIKETHROUGH`
A named preference that controls whether values in a properties file are rendered in strikethrough.
`static final String`
`PROPERTIES_FILE_COLORING_VALUE_UNDERLINE`
A named preference that controls whether values in a properties file are rendered in underline.
`static final String`
`PROPERTIES_FILE_EDITOR_TEXT_FONT`
The symbolic font name for the Java properties file editor text font (value `"org.eclipse.jdt.ui.PropertiesFileEditor.textfont"`).
`static final String`
`REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`
Deprecated.
Use method `RefactoringCore.getConditionCheckingFailedSeverity()`.
`static final String`
`REFACTOR_ERROR_SEVERITY`
Deprecated.
Use constant `RefactoringStatus.ERROR`
`static final String`
`REFACTOR_FATAL_SEVERITY`
Deprecated.
Use constant `RefactoringStatus.FATAL`
`static final String`
`REFACTOR_INFO_SEVERITY`
Deprecated.
Use constant `RefactoringStatus.INFO`
`static final String`
`REFACTOR_LIGHTWEIGHT`
A named preference that controls whether certain refactorings use a lightweight UI when started from a Java editor.
`static final String`
`REFACTOR_OK_SEVERITY`
Deprecated.
Use constant `RefactoringStatus.OK`
`static final String`
`REFACTOR_SAVE_ALL_EDITORS`
A named preference that controls whether all dirty editors are automatically saved before a refactoring is executed.
`static final String`
`REFACTOR_WARNING_SEVERITY`
Deprecated.
Use constant `RefactoringStatus.WARNING`
`static final String`
`SEARCH_USE_REDUCED_MENU`
A named preference that controls a reduced search menu is used in the Java editors.
`static final String`
`SHOW_CU_CHILDREN`
A named preference that specifies whether children of a compilation unit are shown in the package explorer.
`static final String`
`SPELLING_CHECK_SPELLING`
Deprecated.
since 3.1, use `SpellingService.PREFERENCE_SPELLING_ENABLED` and `SpellingService.PREFERENCE_SPELLING_ENGINE`
`static final String`
`SPELLING_ENABLE_CONTENTASSIST`
A named preference that specifies whether spelling dictionaries are available to content assist.
`static final String`
`SPELLING_IGNORE_AMPERSAND_IN_PROPERTIES`
A named preference that controls whether '&' in Java properties files are ignored.
`static final String`
`SPELLING_IGNORE_DIGITS`
A named preference that controls whether words containing digits should be skipped during spell checking.
`static final String`
`SPELLING_IGNORE_JAVA_STRINGS`
A named preference that controls whether Java strings should be ignored during spell checking.
`static final String`
`SPELLING_IGNORE_MIXED`
A named preference that controls whether mixed case words should be skipped during spell checking.
`static final String`
`SPELLING_IGNORE_NON_LETTERS`
A named preference that controls whether non-letters at word boundaries should be ignored during spell checking.
`static final String`
`SPELLING_IGNORE_SENTENCE`
A named preference that controls whether sentence capitalization should be ignored during spell checking.
`static final String`
`SPELLING_IGNORE_SINGLE_LETTERS`
A named preference that controls whether single letters should be ignored during spell checking.
`static final String`
`SPELLING_IGNORE_UPPER`
A named preference that controls whether upper case words should be skipped during spell checking.
`static final String`
`SPELLING_IGNORE_URLS`
A named preference that controls whether URLs should be ignored during spell checking.
`static final String`
`SPELLING_LOCALE`
A named preference that controls the locale used for spell checking.
`static final String`
`SPELLING_PROBLEMS_THRESHOLD`
A named preference that controls the maximum number of problems reported during spell checking.
`static final String`
`SPELLING_PROPOSAL_THRESHOLD`
A named preference that controls the number of proposals offered during spell checking.
`static final String`
`SPELLING_USER_DICTIONARY`
A named preference that specifies the workspace user dictionary.
`static final String`
`SPELLING_USER_DICTIONARY_ENCODING`
A named preference that specifies encoding of the workspace user dictionary.
`static final String`
`SRCBIN_BINNAME`
A named preference that specifies the output folder name used when creating a new Java project.
`static final String`
`SRCBIN_FOLDERS_IN_NEWPROJ`
A named preference that controls whether new projects are generated using source and output folder.
`static final String`
`SRCBIN_SRCNAME`
A named preference that specifies the source folder name used when creating a new Java project.
`static final String`
`TEMPLATES_USE_CODEFORMATTER`
A named preference that controls if templates are formatted when applied.
`static final String`
`TYPEFILTER_DISABLED`
A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.
`static final String`
`TYPEFILTER_ENABLED`
A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.
`static final String`
`UPDATE_JAVA_VIEWS`
Deprecated.
Since 3.0, views now always update while editing
`static final String`
`UPDATE_ON_SAVE`
Deprecated.
Since 3.0, views now always update while editing
`static final String`
`UPDATE_WHILE_EDITING`
Deprecated.
Since 3.0, views now always update while editing

## Method Summary

Modifier and Type
Method
Description
`static IClasspathEntry[]`
`decodeJRELibraryClasspathEntries(String encodedLibrary)`
Decodes an encoded JRE library and returns its class path entries.
`static String`
`decodeJRELibraryDescription(String encodedLibrary)`
Decodes an encoded JRE library and returns its description string.
`static String`
`encodeJRELibrary(String description, IClasspathEntry[] entries)`
Encodes a JRE library to be used in the named preference `NEWPROJECT_JRELIBRARY_LIST`.
`static IClasspathEntry[]`
`getDefaultJRELibrary()`
Returns the current configuration for the JRE to be used as default in new Java projects.
`static String[]`
`getExcludedCompletionProposalCategories()`
Returns the completion proposal categories which are excluded from the default proposal list.
`static String`
`getPreference(String key, IJavaProject project)`
Returns the value for the given key in the given context.
`static IPreferenceStore`
`getPreferenceStore()`
Returns the JDT-UI preference store.
`static void`
`initializeDefaultValues(IPreferenceStore store)`
Initializes the given preference store with the default values.
`static void`
`setExcludedCompletionProposalCategories(String[] categories)`
Sets the completion proposal categories which are excluded from the default proposal list and reloads the registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APPEARANCE_METHOD_RETURNTYPE

public static final String APPEARANCE_METHOD_RETURNTYPE
A named preference that controls return type rendering of methods in the UI.

Value is of type `Boolean`: if `true` return types are rendered

See Also:
  - Constant Field Values

### APPEARANCE_METHOD_TYPEPARAMETERS

public static final String APPEARANCE_METHOD_TYPEPARAMETERS
A named preference that controls type parameter rendering of methods in the UI.

Value is of type `Boolean`: if `true` return types are rendered

Since:
  3.1
See Also:
  - Constant Field Values

### APPEARANCE_OVERRIDE_INDICATOR

@Deprecated public static final String APPEARANCE_OVERRIDE_INDICATOR
Deprecated.
Override Indicator is now controlled on the platform's decorator preference page
A named preference that controls if override indicators are rendered in the UI.

Value is of type `Boolean`: if `true` override indicators are rendered

See Also:
  - Constant Field Values

### EDITOR_QUICKASSIST_LIGHTBULB

public static final String EDITOR_QUICKASSIST_LIGHTBULB
A named preference that controls if quick assist light bulbs are shown.

Value is of type `Boolean`: if `true` light bulbs are shown for quick assists.

Since:
  3.0
See Also:
  - Constant Field Values

### APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW

public static final String APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW
A named preference that defines the pattern used for package name compression.

Value is of type `String`. For example for the given package name 'org.eclipse.jdt' pattern '.' will compress it to '..jdt', '1~' to 'o~.e~.jdt'.

See Also:
  - Constant Field Values

### APPEARANCE_COMPRESS_PACKAGE_NAMES

public static final String APPEARANCE_COMPRESS_PACKAGE_NAMES
A named preference that controls if package name compression is turned on or off.

Value is of type `Boolean`.

See Also:
  - `APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW`
  - Constant Field Values

### APPEARANCE_PKG_NAME_ABBREVIATION_PATTERN_FOR_PKG_VIEW

public static final String APPEARANCE_PKG_NAME_ABBREVIATION_PATTERN_FOR_PKG_VIEW
A named preference that defines the patterns used for package name abbreviation.

Value is of type `String`. Value is a newline separated list of packagePrefix=abbreviation pairs. For example, a pattern of 'javax.management=<JMX>' will abbreviate 'javax.management.monitor' to '<JMX>.monitor'. A '#' at the beginning of a line disables an entry.

Since:
  3.7
See Also:
  - Constant Field Values

### APPEARANCE_ABBREVIATE_PACKAGE_NAMES

public static final String APPEARANCE_ABBREVIATE_PACKAGE_NAMES
A named preference that controls if package name abbreviation is turned on or off.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - `APPEARANCE_PKG_NAME_ABBREVIATION_PATTERN_FOR_PKG_VIEW`
  - Constant Field Values

### APPEARANCE_FOLD_PACKAGES_IN_PACKAGE_EXPLORER

public static final String APPEARANCE_FOLD_PACKAGES_IN_PACKAGE_EXPLORER
A named preference that controls if empty inner packages are folded in the hierarchical mode of the package explorer.

Value is of type `Boolean`: if `true` empty inner packages are folded.

Since:
  2.1
See Also:
  - Constant Field Values

### APPEARANCE_SORT_LIBRARY_ENTRIES_BY_NAME

public static final String APPEARANCE_SORT_LIBRARY_ENTRIES_BY_NAME
A named preference that controls if entries of library containers are sorted alphabetically.

Value is of type `Boolean`: if `true` entries are sorted alphabetically, otherwise by their occurance order.

Since:
  3.14
See Also:
  - Constant Field Values

### APPEARANCE_MEMBER_SORT_ORDER

public static final String APPEARANCE_MEMBER_SORT_ORDER
A named preference that defines how member elements are ordered by the Java views using the `JavaElementSorter`.

Value is of type `String`: A comma separated list of the following entries. Each entry must be in the list, no duplication. List order defines the sort order.

- T: Types
- C: Constructors
- I: Initializers
- M: Methods
- F: Fields
- SI: Static Initializers
- SM: Static Methods
- SF: Static Fields

Since:
  2.1
See Also:
  - Constant Field Values

### APPEARANCE_VISIBILITY_SORT_ORDER

public static final String APPEARANCE_VISIBILITY_SORT_ORDER
A named preference that defines how member elements are ordered by visibility in the Java views using the `JavaElementSorter`.

Value is of type `String`: A comma separated list of the following entries. Each entry must be in the list, no duplication. List order defines the sort order.

- B: Public
- V: Private
- R: Protected
- D: Default

Since:
  3.0
See Also:
  - Constant Field Values

### APPEARANCE_ENABLE_VISIBILITY_SORT_ORDER

public static final String APPEARANCE_ENABLE_VISIBILITY_SORT_ORDER
A named preferences that controls if Java elements are also sorted by visibility.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### APPEARANCE_CATEGORY

public static final String APPEARANCE_CATEGORY
A named preference that controls category rendering of Java elements in the UI.

Value is of type `Boolean`: if `true` category is rendered

Since:
  3.2
See Also:
  - Constant Field Values

### APPEARANCE_JAVADOC_FONT

public static final String APPEARANCE_JAVADOC_FONT
The symbolic font name for the font used to display Javadoc (value `"org.eclipse.jdt.ui.javadocfont"`).

Since:
  3.3
See Also:
  - Constant Field Values

### CODEGEN_USE_GETTERSETTER_PREFIX

@Deprecated public static final String CODEGEN_USE_GETTERSETTER_PREFIX
Deprecated.
Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)
A named preference that controls if prefix removal during setter/getter generation is turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEGEN_GETTERSETTER_PREFIX

@Deprecated public static final String CODEGEN_GETTERSETTER_PREFIX
Deprecated.
Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)
A named preference that holds a list of prefixes to be removed from a local variable to compute setter and getter names.

Value is of type `String`: comma separated list of prefixed

See Also:
  - Constant Field Values

### CODEGEN_USE_GETTERSETTER_SUFFIX

@Deprecated public static final String CODEGEN_USE_GETTERSETTER_SUFFIX
Deprecated.
Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)
A named preference that controls if suffix removal during setter/getter generation is turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEGEN_GETTERSETTER_SUFFIX

@Deprecated public static final String CODEGEN_GETTERSETTER_SUFFIX
Deprecated.
Use setting from JavaCore preference store (key JavaCore. CODEASSIST_FIELD_SUFFIXES and CODEASSIST_STATIC_FIELD_SUFFIXES)
A named preference that holds a list of suffixes to be removed from a local variable to compute setter and getter names.

Value is of type `String`: comma separated list of suffixes

See Also:
  - Constant Field Values

### CODEGEN_KEYWORD_THIS

public static final String CODEGEN_KEYWORD_THIS
A named preference that controls whether the keyword "this" will be added automatically to field accesses in generated methods.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### CODEGEN_IS_FOR_GETTERS

public static final String CODEGEN_IS_FOR_GETTERS
A named preference that controls whether automatically created getters which return a boolean field should start with "is" or should be prefixed with "get".

If `true` and if the field starts with "is" then the created getter name will not be additionally prefixed and "is" will not be part of the setter name.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### CODEGEN_EXCEPTION_VAR_NAME

public static final String CODEGEN_EXCEPTION_VAR_NAME
A named preference that defines the preferred variable names for exceptions in catch clauses.

Value is of type `String`.

Since:
  3.0
See Also:
  - Constant Field Values

### CODEGEN_ADD_COMMENTS

public static final String CODEGEN_ADD_COMMENTS
A named preference that controls if comment stubs will be added automatically to newly created types and methods.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### CODEGEN__JAVADOC_STUBS

@Deprecated public static final String CODEGEN__JAVADOC_STUBS
Deprecated.
Use CODEGEN_ADD_COMMENTS instead (Name is more precise).
A named preference that controls if a comment stubs will be added automatically to newly created types and methods.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEGEN__NON_JAVADOC_COMMENTS

@Deprecated public static final String CODEGEN__NON_JAVADOC_COMMENTS
Deprecated.
New code template story: user can specify the overriding method comment.
A named preference that controls if a non-javadoc comment gets added to methods generated via the "Override Methods" operation.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEGEN__FILE_COMMENTS

@Deprecated public static final String CODEGEN__FILE_COMMENTS
Deprecated.
New code template story: user can specify the new file code template.
A named preference that controls if a file comment gets added to newly created files.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEGEN_USE_OVERRIDE_ANNOTATION

public static final String CODEGEN_USE_OVERRIDE_ANNOTATION
A named preference that controls whether to add a override annotation for newly created methods

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### TYPEFILTER_ENABLED

public static final String TYPEFILTER_ENABLED
A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.

Since:
  3.0
See Also:
  - Constant Field Values

### TYPEFILTER_DISABLED

public static final String TYPEFILTER_DISABLED
A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.

Since:
  3.0
See Also:
  - Constant Field Values

### ORGIMPORTS_IMPORTORDER

public static final String ORGIMPORTS_IMPORTORDER
A named preference that holds a list of semicolon separated package names. The list specifies the import order used by the "Organize Imports" operation.

Value is of type `String`: semicolon separated list of package names

See Also:
  - Constant Field Values

### ORGIMPORTS_ONDEMANDTHRESHOLD

public static final String ORGIMPORTS_ONDEMANDTHRESHOLD
A named preference that specifies the number of imports added before a star-import declaration is used.

Value is of type `Integer`: positive value specifying the number of non star-import is used

See Also:
  - Constant Field Values

### ORGIMPORTS_STATIC_ONDEMANDTHRESHOLD

public static final String ORGIMPORTS_STATIC_ONDEMANDTHRESHOLD
A named preference that specifies the number of static imports added before a star-import declaration is used.

Value is of type `Integer`: positive value specifying the number of non star-import is used

Since:
  3.2
See Also:
  - Constant Field Values

### ORGIMPORTS_IGNORELOWERCASE

public static final String ORGIMPORTS_IGNORELOWERCASE
A named preferences that controls if types that start with a lower case letters get added by the "Organize Import" operation.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### SHOW_CU_CHILDREN

public static final String SHOW_CU_CHILDREN
A named preference that specifies whether children of a compilation unit are shown in the package explorer.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### LINK_PACKAGES_TO_EDITOR

@Deprecated public static final String LINK_PACKAGES_TO_EDITOR
Deprecated.
Since 3.3. Not used anymore. Package view always restores with the last recently used setting.
A named preference that controls whether the package explorer's selection is linked to the active editor.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### LINK_TYPEHIERARCHY_TO_EDITOR

@Deprecated public static final String LINK_TYPEHIERARCHY_TO_EDITOR
Deprecated.
Since 3.3. Not used anymore. Type hierarchy view always restores with the last recently used setting.
A named preference that controls whether the hierarchy view's selection is linked to the active editor.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### LINK_BROWSING_PROJECTS_TO_EDITOR

public static final String LINK_BROWSING_PROJECTS_TO_EDITOR
A named preference that controls whether the projects view's selection is linked to the active editor.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### LINK_BROWSING_PACKAGES_TO_EDITOR

public static final String LINK_BROWSING_PACKAGES_TO_EDITOR
A named preference that controls whether the packages view's selection is linked to the active editor.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### LINK_BROWSING_TYPES_TO_EDITOR

public static final String LINK_BROWSING_TYPES_TO_EDITOR
A named preference that controls whether the types view's selection is linked to the active editor.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### LINK_BROWSING_MEMBERS_TO_EDITOR

public static final String LINK_BROWSING_MEMBERS_TO_EDITOR
A named preference that controls whether the members view's selection is linked to the active editor.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### SRCBIN_FOLDERS_IN_NEWPROJ

public static final String SRCBIN_FOLDERS_IN_NEWPROJ
A named preference that controls whether new projects are generated using source and output folder.

Value is of type `Boolean`. if `true` new projects are created with a source and output folder. If `false` source and output folder equals to the project.

See Also:
  - Constant Field Values

### SRCBIN_SRCNAME

public static final String SRCBIN_SRCNAME
A named preference that specifies the source folder name used when creating a new Java project. Value is inactive if `SRCBIN_FOLDERS_IN_NEWPROJ` is set to `false`.

Value is of type `String`.

See Also:
  - `SRCBIN_FOLDERS_IN_NEWPROJ`
  - Constant Field Values

### SRCBIN_BINNAME

public static final String SRCBIN_BINNAME
A named preference that specifies the output folder name used when creating a new Java project. Value is inactive if `SRCBIN_FOLDERS_IN_NEWPROJ` is set to `false`.

Value is of type `String`.

See Also:
  - `SRCBIN_FOLDERS_IN_NEWPROJ`
  - Constant Field Values

### NEWPROJECT_JRELIBRARY_LIST

public static final String NEWPROJECT_JRELIBRARY_LIST
A named preference that holds a list of possible JRE libraries used by the New Java Project wizard. A library consists of a description and an arbitrary number of `IClasspathEntry`s, that will represent the JRE on the new project's class path.

Value is of type `String`: a semicolon separated list of encoded JRE libraries. `NEWPROJECT_JRELIBRARY_INDEX` defines the currently used library. Clients should use the method `encodeJRELibrary` to encode a JRE library into a string and the methods `decodeJRELibraryDescription(String)` and `decodeJRELibraryClasspathEntries(String)` to decode the description and the array of class path entries from an encoded string.

See Also:
  - `NEWPROJECT_JRELIBRARY_INDEX`
  - `encodeJRELibrary(String, IClasspathEntry[])`
  - `decodeJRELibraryDescription(String)`
  - `decodeJRELibraryClasspathEntries(String)`
  - Constant Field Values

### NEWPROJECT_JRELIBRARY_INDEX

public static final String NEWPROJECT_JRELIBRARY_INDEX
A named preferences that specifies the current active JRE library.

Value is of type `Integer`: an index into the list of possible JRE libraries.

See Also:
  - `NEWPROJECT_JRELIBRARY_LIST`
  - Constant Field Values

### OPEN_TYPE_HIERARCHY

public static final String OPEN_TYPE_HIERARCHY
A named preference that controls if a new type hierarchy gets opened in a new type hierarchy perspective or inside the type hierarchy view part.

Value is of type `String`: possible values are `OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE` or `OPEN_TYPE_HIERARCHY_IN_VIEW_PART`.

See Also:
  - `OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE`
  - `OPEN_TYPE_HIERARCHY_IN_VIEW_PART`
  - Constant Field Values

### OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE

public static final String OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE
A string value used by the named preference `OPEN_TYPE_HIERARCHY`.

See Also:
  - `OPEN_TYPE_HIERARCHY`
  - Constant Field Values

### OPEN_TYPE_HIERARCHY_IN_VIEW_PART

public static final String OPEN_TYPE_HIERARCHY_IN_VIEW_PART
A string value used by the named preference `OPEN_TYPE_HIERARCHY`.

See Also:
  - `OPEN_TYPE_HIERARCHY`
  - Constant Field Values

### DOUBLE_CLICK

public static final String DOUBLE_CLICK
A named preference that controls the behavior when double clicking on a container in the packages view.

Value is of type `String`: possible values are `DOUBLE_CLICK_GOES_INTO` or `DOUBLE_CLICK_EXPANDS`.

See Also:
  - `DOUBLE_CLICK_EXPANDS`
  - `DOUBLE_CLICK_GOES_INTO`
  - Constant Field Values

### DOUBLE_CLICK_GOES_INTO

public static final String DOUBLE_CLICK_GOES_INTO
A string value used by the named preference `DOUBLE_CLICK`.

See Also:
  - `DOUBLE_CLICK`
  - Constant Field Values

### DOUBLE_CLICK_EXPANDS

public static final String DOUBLE_CLICK_EXPANDS
A string value used by the named preference `DOUBLE_CLICK`.

See Also:
  - `DOUBLE_CLICK`
  - Constant Field Values

### UPDATE_JAVA_VIEWS

@Deprecated public static final String UPDATE_JAVA_VIEWS
Deprecated.
Since 3.0, views now always update while editing
A named preference that controls whether Java views update their presentation while editing or when saving the content of an editor.

Value is of type `String`: possible values are `UPDATE_ON_SAVE` or `UPDATE_WHILE_EDITING`.

See Also:
  - `UPDATE_ON_SAVE`
  - `UPDATE_WHILE_EDITING`
  - Constant Field Values

### UPDATE_ON_SAVE

@Deprecated public static final String UPDATE_ON_SAVE
Deprecated.
Since 3.0, views now always update while editing
A string value used by the named preference `UPDATE_JAVA_VIEWS`

See Also:
  - `UPDATE_JAVA_VIEWS`
  - Constant Field Values

### UPDATE_WHILE_EDITING

@Deprecated public static final String UPDATE_WHILE_EDITING
Deprecated.
Since 3.0, views now always update while editing
A string value used by the named preference `UPDATE_JAVA_VIEWS`

See Also:
  - `UPDATE_JAVA_VIEWS`
  - Constant Field Values

### JAVADOC_COMMAND

public static final String JAVADOC_COMMAND
A named preference that holds the path of the Javadoc command used by the Javadoc creation wizard.

Value is of type `String`.

See Also:
  - Constant Field Values

### EDITOR_SHOW_TEXT_HOVER_AFFORDANCE

@Deprecated public static final String EDITOR_SHOW_TEXT_HOVER_AFFORDANCE
Deprecated.
As of 3.3, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_SHOW_TEXT_HOVER_AFFORDANCE`
A named preference that defines whether the hint to make hover sticky should be shown.

Since:
  3.0
See Also:
  - `JavaUI`
  - Constant Field Values

### EDITOR_TEXT_HOVER_MODIFIERS

public static final String EDITOR_TEXT_HOVER_MODIFIERS
A named preference that defines the key for the hover modifiers.

Since:
  2.1
See Also:
  - `JavaUI`
  - Constant Field Values

### EDITOR_TEXT_HOVER_MODIFIER_MASKS

public static final String EDITOR_TEXT_HOVER_MODIFIER_MASKS
A named preference that defines the key for the hover modifier state masks. The value is only used if the value of `EDITOR_TEXT_HOVER_MODIFIERS` cannot be resolved to valid SWT modifier bits.

Since:
  2.1.1
See Also:
  - `JavaUI`
  - `EDITOR_TEXT_HOVER_MODIFIERS`
  - Constant Field Values

### ID_BESTMATCH_HOVER

public static final String ID_BESTMATCH_HOVER
The id of the best match hover contributed for extension point `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - Constant Field Values

### ID_SOURCE_HOVER

public static final String ID_SOURCE_HOVER
The id of the source code hover contributed for extension point `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - Constant Field Values

### ID_JAVADOC_HOVER

public static final String ID_JAVADOC_HOVER
The id of the javadoc hover contributed for extension point `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - Constant Field Values

### ID_PROBLEM_HOVER

@Deprecated public static final String ID_PROBLEM_HOVER
Deprecated.
as of 3.0, this hover is no longer available
The id of the problem hover contributed for extension point `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_MATCHING_BRACKETS

public static final String EDITOR_MATCHING_BRACKETS
A named preference that controls whether bracket matching highlighting is turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_HIGHLIGHT_BRACKET_AT_CARET_LOCATION

public static final String EDITOR_HIGHLIGHT_BRACKET_AT_CARET_LOCATION
A named preference that controls whether bracket at caret location is highlighted or not.

Value is of type `Boolean`.

Since:
  3.8
See Also:
  - Constant Field Values

### EDITOR_ENCLOSING_BRACKETS

public static final String EDITOR_ENCLOSING_BRACKETS
A named preference that controls whether enclosing bracket matching highlighting is turned on or off.

Value is of type `Boolean`.

Since:
  3.8
See Also:
  - Constant Field Values

### EDITOR_MATCHING_BRACKETS_COLOR

public static final String EDITOR_MATCHING_BRACKETS_COLOR
A named preference that holds the color used to highlight matching brackets.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_CURRENT_LINE

@Deprecated public static final String EDITOR_CURRENT_LINE
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls whether the current line highlighting is turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_CURRENT_LINE_COLOR

@Deprecated public static final String EDITOR_CURRENT_LINE_COLOR
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to highlight the current line.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_PRINT_MARGIN

@Deprecated public static final String EDITOR_PRINT_MARGIN
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls whether the print margin is turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_PRINT_MARGIN_COLOR

@Deprecated public static final String EDITOR_PRINT_MARGIN_COLOR
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to render the print margin.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_PRINT_MARGIN_COLUMN

@Deprecated public static final String EDITOR_PRINT_MARGIN_COLUMN
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
Print margin column. Integer value.

See Also:
  - Constant Field Values

### EDITOR_FIND_SCOPE_COLOR

@Deprecated public static final String EDITOR_FIND_SCOPE_COLOR
Deprecated.
As of 3.2, use `AbstractTextEditor.PREFERENCE_COLOR_FIND_SCOPE` instead}
A named preference that holds the color used for the find/replace scope.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SPACES_FOR_TABS

@Deprecated public static final String EDITOR_SPACES_FOR_TABS
Deprecated.
As of 3.1 replaced by the formatter setting defined in `DefaultCodeFormatterConstants.FORMATTER_TAB_CHAR`
A named preference that specifies if the editor uses spaces for tabs.

Value is of type `Boolean`. If `true`spaces instead of tabs are used in the editor. If `false` the editor inserts a tab character when pressing the tab key.

See Also:
  - Constant Field Values

### EDITOR_TAB_WIDTH

@Deprecated public static final String EDITOR_TAB_WIDTH
Deprecated.
As of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_TAB_WIDTH`
A named preference that holds the number of spaces used per tab in the editor.

Value is of type `Integer`: positive integer value specifying the number of spaces per tab.

See Also:
  - Constant Field Values

### EDITOR_SYNC_OUTLINE_ON_CURSOR_MOVE

public static final String EDITOR_SYNC_OUTLINE_ON_CURSOR_MOVE
A named preference that controls whether the outline view selection should stay in sync with with the element at the current cursor position.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_CORRECTION_INDICATION

public static final String EDITOR_CORRECTION_INDICATION
A named preference that controls if correction indicators are shown in the UI.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_PROBLEM_INDICATION

@Deprecated public static final String EDITOR_PROBLEM_INDICATION
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the editor shows problem indicators in text (squiggly lines).

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_PROBLEM_INDICATION_COLOR

@Deprecated public static final String EDITOR_PROBLEM_INDICATION_COLOR
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that holds the color used to render problem indicators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `EDITOR_PROBLEM_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_WARNING_INDICATION

@Deprecated public static final String EDITOR_WARNING_INDICATION
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the editor shows warning indicators in text (squiggly lines).

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_WARNING_INDICATION_COLOR

@Deprecated public static final String EDITOR_WARNING_INDICATION_COLOR
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that holds the color used to render warning indicators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `EDITOR_WARNING_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_TASK_INDICATION

@Deprecated public static final String EDITOR_TASK_INDICATION
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the editor shows task indicators in text (squiggly lines).

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_TASK_INDICATION_COLOR

@Deprecated public static final String EDITOR_TASK_INDICATION_COLOR
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that holds the color used to render task indicators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `EDITOR_TASK_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_BOOKMARK_INDICATION

@Deprecated public static final String EDITOR_BOOKMARK_INDICATION
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the editor shows bookmark indicators in text (squiggly lines).

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_BOOKMARK_INDICATION_COLOR

@Deprecated public static final String EDITOR_BOOKMARK_INDICATION_COLOR
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that holds the color used to render bookmark indicators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `EDITOR_BOOKMARK_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SEARCH_RESULT_INDICATION

@Deprecated public static final String EDITOR_SEARCH_RESULT_INDICATION
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the editor shows search indicators in text (squiggly lines).

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_SEARCH_RESULT_INDICATION_COLOR

@Deprecated public static final String EDITOR_SEARCH_RESULT_INDICATION_COLOR
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that holds the color used to render search indicators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `EDITOR_SEARCH_RESULT_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_UNKNOWN_INDICATION

@Deprecated public static final String EDITOR_UNKNOWN_INDICATION
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the editor shows unknown indicators in text (squiggly lines).

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_UNKNOWN_INDICATION_COLOR

@Deprecated public static final String EDITOR_UNKNOWN_INDICATION_COLOR
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that holds the color used to render unknown indicators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `EDITOR_UNKNOWN_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the overview ruler shows error indicators.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the overview ruler shows warning indicators.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the overview ruler shows task indicators.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the overview ruler shows bookmark indicators.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the overview ruler shows search result indicators.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `MarkerAnnotationPreferences`
A named preference that controls whether the overview ruler shows unknown indicators.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_CLOSE_STRINGS

public static final String EDITOR_CLOSE_STRINGS
A named preference that controls whether the 'close strings' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_WRAP_STRINGS

public static final String EDITOR_WRAP_STRINGS
A named preference that controls whether the 'wrap strings' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_ESCAPE_STRINGS

public static final String EDITOR_ESCAPE_STRINGS
A named preference that controls whether the 'escape strings' feature is enabled.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_ESCAPE_STRINGS_NON_ASCII

public static final String EDITOR_ESCAPE_STRINGS_NON_ASCII
A named preference that controls whether non-ascii characters are replaced by unicode escape sequences when the 'escape strings' feature is used.

Value is of type `Boolean`.

Since:
  3.14
See Also:
  - Constant Field Values

### EDITOR_CLOSE_BRACKETS

public static final String EDITOR_CLOSE_BRACKETS
A named preference that controls whether the 'close brackets' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_CLOSE_BRACES

public static final String EDITOR_CLOSE_BRACES
A named preference that controls whether the 'close braces' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_CLOSE_JAVADOCS

public static final String EDITOR_CLOSE_JAVADOCS
A named preference that controls whether the 'close java docs' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_ADD_JAVADOC_TAGS

public static final String EDITOR_ADD_JAVADOC_TAGS
A named preference that controls whether the 'add JavaDoc tags' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_FORMAT_JAVADOCS

public static final String EDITOR_FORMAT_JAVADOCS
A named preference that controls whether the 'format Javadoc tags' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_SMART_PASTE

public static final String EDITOR_SMART_PASTE
A named preference that controls whether the 'smart paste' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_SMART_INDENT_AFTER_NEWLINE

public static final String EDITOR_SMART_INDENT_AFTER_NEWLINE
A named preference that controls whether on Enter key the indentation should be smart or the same as previous line.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_IMPORTS_ON_PASTE

public static final String EDITOR_IMPORTS_ON_PASTE
A named preference that controls whether 'paste' should update the imports.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SMART_HOME_END

@Deprecated public static final String EDITOR_SMART_HOME_END
Deprecated.
as of 3.3 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_SMART_HOME_END`
A named preference that controls whether the 'smart home-end' feature is enabled.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_SUB_WORD_NAVIGATION

public static final String EDITOR_SUB_WORD_NAVIGATION
A named preference that controls whether the 'sub-word navigation' feature is enabled.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_EVALUTE_TEMPORARY_PROBLEMS

public static final String EDITOR_EVALUTE_TEMPORARY_PROBLEMS
A named preference that controls if temporary problems are evaluated and shown in the UI.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_OVERVIEW_RULER

@Deprecated public static final String EDITOR_OVERVIEW_RULER
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls if the overview ruler is shown in the UI.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_LINE_NUMBER_RULER

@Deprecated public static final String EDITOR_LINE_NUMBER_RULER
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls if the line number ruler is shown in the UI.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_LINE_NUMBER_RULER_COLOR

@Deprecated public static final String EDITOR_LINE_NUMBER_RULER_COLOR
Deprecated.
as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to render line numbers inside the line number ruler.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - `EDITOR_LINE_NUMBER_RULER`
  - Constant Field Values

### EDITOR_LINKED_POSITION_COLOR

@Deprecated public static final String EDITOR_LINKED_POSITION_COLOR
Deprecated.
not used any longer as the linked positions are displayed as annotations
A named preference that holds the color used to render linked positions inside code templates.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_FOREGROUND_COLOR

@Deprecated public static final String EDITOR_FOREGROUND_COLOR
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_FOREGROUND`
A named preference that holds the color used as the text foreground. This value has no effect if the system default color is used.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_FOREGROUND_DEFAULT_COLOR

@Deprecated public static final String EDITOR_FOREGROUND_DEFAULT_COLOR
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT`
A named preference that describes if the system default foreground color is used as the text foreground.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_BACKGROUND_COLOR

@Deprecated public static final String EDITOR_BACKGROUND_COLOR
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_BACKGROUND`
A named preference that holds the color used as the text background. This value has no effect if the system default color is used.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_BACKGROUND_DEFAULT_COLOR

@Deprecated public static final String EDITOR_BACKGROUND_DEFAULT_COLOR
Deprecated.
As of 3.1, replaced by `AbstractTextEditor.PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT`
A named preference that describes if the system default background color is used as the text background.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_BOLD_SUFFIX

public static final String EDITOR_BOLD_SUFFIX
Preference key suffix for bold text style preference keys.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_ITALIC_SUFFIX

public static final String EDITOR_ITALIC_SUFFIX
Preference key suffix for italic text style preference keys.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_STRIKETHROUGH_SUFFIX

public static final String EDITOR_STRIKETHROUGH_SUFFIX
Preference key suffix for strikethrough text style preference keys.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_UNDERLINE_SUFFIX

public static final String EDITOR_UNDERLINE_SUFFIX
Preference key suffix for underline text style preference keys.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_COLOR

public static final String EDITOR_MULTI_LINE_COMMENT_COLOR
A named preference that holds the color used to render multi-line comments.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_TEXT_FONT

public static final String EDITOR_TEXT_FONT
The symbolic font name for the Java editor text font (value `"org.eclipse.jdt.ui.editors.textfont"`).

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_BOLD

public static final String EDITOR_MULTI_LINE_COMMENT_BOLD
A named preference that controls whether multi-line comments are rendered in bold.

Value is of type `Boolean`. If `true` multi-line comments are rendered in bold. If `false` the are rendered using no font style attribute.

See Also:
  - Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_ITALIC

public static final String EDITOR_MULTI_LINE_COMMENT_ITALIC
A named preference that controls whether multi-line comments are rendered in italic.

Value is of type `Boolean`. If `true` multi-line comments are rendered in italic. If `false` the are rendered using no italic font style attribute.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_STRIKETHROUGH

public static final String EDITOR_MULTI_LINE_COMMENT_STRIKETHROUGH
A named preference that controls whether multi-line comments are rendered in strikethrough.

Value is of type `Boolean`. If `true` multi-line comments are rendered in strikethrough. If `false` the are rendered using no strikethrough font style attribute.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_UNDERLINE

public static final String EDITOR_MULTI_LINE_COMMENT_UNDERLINE
A named preference that controls whether multi-line comments are rendered in underline.

Value is of type `Boolean`. If `true` multi-line comments are rendered in underline. If `false` the are rendered using no underline font style attribute.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_COLOR

public static final String EDITOR_SINGLE_LINE_COMMENT_COLOR
A named preference that holds the color used to render single line comments.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_BOLD

public static final String EDITOR_SINGLE_LINE_COMMENT_BOLD
A named preference that controls whether single line comments are rendered in bold.

Value is of type `Boolean`. If `true` single line comments are rendered in bold. If `false` the are rendered using no font style attribute.

See Also:
  - Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_ITALIC

public static final String EDITOR_SINGLE_LINE_COMMENT_ITALIC
A named preference that controls whether single line comments are rendered in italic.

Value is of type `Boolean`. If `true` single line comments are rendered in italic. If `false` the are rendered using no italic font style attribute.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_STRIKETHROUGH

public static final String EDITOR_SINGLE_LINE_COMMENT_STRIKETHROUGH
A named preference that controls whether single line comments are rendered in strikethrough.

Value is of type `Boolean`. If `true` single line comments are rendered in strikethrough. If `false` the are rendered using no italic font style attribute.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_UNDERLINE

public static final String EDITOR_SINGLE_LINE_COMMENT_UNDERLINE
A named preference that controls whether single line comments are rendered in underline.

Value is of type `Boolean`. If `true` single line comments are rendered in underline. If `false` the are rendered using no italic font style attribute.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_COLOR

public static final String EDITOR_JAVA_KEYWORD_COLOR
A named preference that holds the color used to render java keywords.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_BOLD

public static final String EDITOR_JAVA_KEYWORD_BOLD
A named preference that controls whether keywords are rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_ITALIC

public static final String EDITOR_JAVA_KEYWORD_ITALIC
A named preference that controls whether keywords are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_STRIKETHROUGH

public static final String EDITOR_JAVA_KEYWORD_STRIKETHROUGH
A named preference that controls whether keywords are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_UNDERLINE

public static final String EDITOR_JAVA_KEYWORD_UNDERLINE
A named preference that controls whether keywords are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_STRING_COLOR

public static final String EDITOR_STRING_COLOR
A named preference that holds the color used to render string constants.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_STRING_BOLD

public static final String EDITOR_STRING_BOLD
A named preference that controls whether string constants are rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_STRING_ITALIC

public static final String EDITOR_STRING_ITALIC
A named preference that controls whether string constants are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_STRING_STRIKETHROUGH

public static final String EDITOR_STRING_STRIKETHROUGH
A named preference that controls whether string constants are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_STRING_UNDERLINE

public static final String EDITOR_STRING_UNDERLINE
A named preference that controls whether string constants are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_METHOD_NAME_COLOR

@Deprecated public static final String EDITOR_JAVA_METHOD_NAME_COLOR
Deprecated.
the method name highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.METHOD`
A named preference that holds the color used to render method names.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.0
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_METHOD_NAME_BOLD

@Deprecated public static final String EDITOR_JAVA_METHOD_NAME_BOLD
Deprecated.
the method name highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.METHOD`
A named preference that controls whether method names are rendered in bold.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_METHOD_NAME_ITALIC

@Deprecated public static final String EDITOR_JAVA_METHOD_NAME_ITALIC
Deprecated.
the method name highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.METHOD`
A named preference that controls whether method names are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_COLOR

public static final String EDITOR_JAVA_KEYWORD_RETURN_COLOR
A named preference that holds the color used to render the 'return' keyword.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.0
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_BOLD

public static final String EDITOR_JAVA_KEYWORD_RETURN_BOLD
A named preference that controls whether 'return' keyword is rendered in bold.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_ITALIC

public static final String EDITOR_JAVA_KEYWORD_RETURN_ITALIC
A named preference that controls whether 'return' keyword is rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_STRIKETHROUGH

public static final String EDITOR_JAVA_KEYWORD_RETURN_STRIKETHROUGH
A named preference that controls whether 'return' keyword is rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_UNDERLINE

public static final String EDITOR_JAVA_KEYWORD_RETURN_UNDERLINE
A named preference that controls whether 'return' keyword is rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_OPERATOR_COLOR

public static final String EDITOR_JAVA_OPERATOR_COLOR
A named preference that holds the color used to render operators.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.0
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_OPERATOR_BOLD

public static final String EDITOR_JAVA_OPERATOR_BOLD
A named preference that controls whether operators are rendered in bold.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_OPERATOR_ITALIC

public static final String EDITOR_JAVA_OPERATOR_ITALIC
A named preference that controls whether operators are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_OPERATOR_STRIKETHROUGH

public static final String EDITOR_JAVA_OPERATOR_STRIKETHROUGH
A named preference that controls whether operators are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_OPERATOR_UNDERLINE

public static final String EDITOR_JAVA_OPERATOR_UNDERLINE
A named preference that controls whether operators are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_BRACKET_COLOR

public static final String EDITOR_JAVA_BRACKET_COLOR
A named preference that holds the color used to render brackets.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.3
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_BRACKET_BOLD

public static final String EDITOR_JAVA_BRACKET_BOLD
A named preference that controls whether brackets are rendered in bold.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_JAVA_BRACKET_ITALIC

public static final String EDITOR_JAVA_BRACKET_ITALIC
A named preference that controls whether brackets are rendered in italic.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_JAVA_BRACKET_STRIKETHROUGH

public static final String EDITOR_JAVA_BRACKET_STRIKETHROUGH
A named preference that controls whether brackets are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_JAVA_BRACKET_UNDERLINE

public static final String EDITOR_JAVA_BRACKET_UNDERLINE
A named preference that controls whether brackets are rendered in underline.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_JAVA_ANNOTATION_COLOR

@Deprecated public static final String EDITOR_JAVA_ANNOTATION_COLOR
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
A named preference that holds the color used to render annotations.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_ANNOTATION_BOLD

@Deprecated public static final String EDITOR_JAVA_ANNOTATION_BOLD
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
A named preference that controls whether annotations are rendered in bold.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_ANNOTATION_ITALIC

@Deprecated public static final String EDITOR_JAVA_ANNOTATION_ITALIC
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
A named preference that controls whether annotations are rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_ANNOTATION_STRIKETHROUGH

@Deprecated public static final String EDITOR_JAVA_ANNOTATION_STRIKETHROUGH
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
A named preference that controls whether annotations are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_ANNOTATION_UNDERLINE

@Deprecated public static final String EDITOR_JAVA_ANNOTATION_UNDERLINE
Deprecated.
the annotation highlighting has been replaced by a semantic highlighting, see `SemanticHighlightings.ANNOTATION`
A named preference that controls whether annotations are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_DEFAULT_COLOR

public static final String EDITOR_JAVA_DEFAULT_COLOR
A named preference that holds the color used to render java default text.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVA_DEFAULT_BOLD

public static final String EDITOR_JAVA_DEFAULT_BOLD
A named preference that controls whether Java default text is rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_JAVA_DEFAULT_ITALIC

public static final String EDITOR_JAVA_DEFAULT_ITALIC
A named preference that controls whether Java default text is rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_DEFAULT_STRIKETHROUGH

public static final String EDITOR_JAVA_DEFAULT_STRIKETHROUGH
A named preference that controls whether Java default text is rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVA_DEFAULT_UNDERLINE

public static final String EDITOR_JAVA_DEFAULT_UNDERLINE
A named preference that controls whether Java default text is rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_TASK_TAG_COLOR

public static final String EDITOR_TASK_TAG_COLOR
A named preference that holds the color used to render task tags.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_TASK_TAG_BOLD

public static final String EDITOR_TASK_TAG_BOLD
A named preference that controls whether task tags are rendered in bold.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_TASK_TAG_ITALIC

public static final String EDITOR_TASK_TAG_ITALIC
A named preference that controls whether task tags are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_TASK_TAG_STRIKETHROUGH

public static final String EDITOR_TASK_TAG_STRIKETHROUGH
A named preference that controls whether task tags are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_TASK_TAG_UNDERLINE

public static final String EDITOR_TASK_TAG_UNDERLINE
A named preference that controls whether task tags are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_KEYWORD_COLOR

public static final String EDITOR_JAVADOC_KEYWORD_COLOR
A named preference that holds the color used to render javadoc keywords.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVADOC_KEYWORD_BOLD

public static final String EDITOR_JAVADOC_KEYWORD_BOLD
A named preference that controls whether javadoc keywords are rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_JAVADOC_KEYWORD_ITALIC

public static final String EDITOR_JAVADOC_KEYWORD_ITALIC
A named preference that controls whether javadoc keywords are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_KEYWORD_STRIKETHROUGH

public static final String EDITOR_JAVADOC_KEYWORD_STRIKETHROUGH
A named preference that controls whether javadoc keywords are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_KEYWORD_UNDERLINE

public static final String EDITOR_JAVADOC_KEYWORD_UNDERLINE
A named preference that controls whether javadoc keywords are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_TAG_COLOR

public static final String EDITOR_JAVADOC_TAG_COLOR
A named preference that holds the color used to render javadoc tags.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVADOC_TAG_BOLD

public static final String EDITOR_JAVADOC_TAG_BOLD
A named preference that controls whether javadoc tags are rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_JAVADOC_TAG_ITALIC

public static final String EDITOR_JAVADOC_TAG_ITALIC
A named preference that controls whether javadoc tags are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_TAG_STRIKETHROUGH

public static final String EDITOR_JAVADOC_TAG_STRIKETHROUGH
A named preference that controls whether javadoc tags are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_TAG_UNDERLINE

public static final String EDITOR_JAVADOC_TAG_UNDERLINE
A named preference that controls whether javadoc tags are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_LINKS_COLOR

public static final String EDITOR_JAVADOC_LINKS_COLOR
A named preference that holds the color used to render javadoc links.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVADOC_LINKS_BOLD

public static final String EDITOR_JAVADOC_LINKS_BOLD
A named preference that controls whether javadoc links are rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_JAVADOC_LINKS_ITALIC

public static final String EDITOR_JAVADOC_LINKS_ITALIC
A named preference that controls whether javadoc links are rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_LINKS_STRIKETHROUGH

public static final String EDITOR_JAVADOC_LINKS_STRIKETHROUGH
A named preference that controls whether javadoc links are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_LINKS_UNDERLINE

public static final String EDITOR_JAVADOC_LINKS_UNDERLINE
A named preference that controls whether javadoc links are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_DEFAULT_COLOR

public static final String EDITOR_JAVADOC_DEFAULT_COLOR
A named preference that holds the color used to render javadoc default text.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_JAVADOC_DEFAULT_BOLD

public static final String EDITOR_JAVADOC_DEFAULT_BOLD
A named preference that controls whether javadoc default text is rendered in bold.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_JAVADOC_DEFAULT_ITALIC

public static final String EDITOR_JAVADOC_DEFAULT_ITALIC
A named preference that controls whether javadoc default text is rendered in italic.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_DEFAULT_STRIKETHROUGH

public static final String EDITOR_JAVADOC_DEFAULT_STRIKETHROUGH
A named preference that controls whether javadoc default text is rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_JAVADOC_DEFAULT_UNDERLINE

public static final String EDITOR_JAVADOC_DEFAULT_UNDERLINE
A named preference that controls whether javadoc default text is rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_LINK_COLOR

@Deprecated public static final String EDITOR_LINK_COLOR
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINK_COLOR`
A named preference that holds the color used for 'linked-mode' underline.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SHOW_HOVER

public static final String EDITOR_SHOW_HOVER
A named preference that controls whether hover tool tips in the editor are turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_NONE_HOVER

@Deprecated public static final String EDITOR_NONE_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when no control key is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `JavaUI`
  - Constant Field Values

### EDITOR_CTRL_HOVER

@Deprecated public static final String EDITOR_CTRL_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when the `CTRL` modifier key is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `JavaUI`
  - Constant Field Values

### EDITOR_SHIFT_HOVER

@Deprecated public static final String EDITOR_SHIFT_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when the `SHIFT` modifier key is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `ID_*_HOVER`
  - Constant Field Values

### EDITOR_CTRL_ALT_HOVER

@Deprecated public static final String EDITOR_CTRL_ALT_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when the `CTRL + ALT` modifier keys is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `ID_*_HOVER`
  - Constant Field Values

### EDITOR_CTRL_ALT_SHIFT_HOVER

@Deprecated public static final String EDITOR_CTRL_ALT_SHIFT_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when the `CTRL + ALT + SHIFT` modifier keys is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `ID_*_HOVER`
  - Constant Field Values

### EDITOR_CTRL_SHIFT_HOVER

@Deprecated public static final String EDITOR_CTRL_SHIFT_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when the `CTRL + SHIFT` modifier keys is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `ID_*_HOVER`
  - Constant Field Values

### EDITOR_ALT_SHIFT_HOVER

@Deprecated public static final String EDITOR_ALT_SHIFT_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover shown when the `ALT` modifier key is pressed.

Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - `EDITOR_NO_HOVER_CONFIGURED_ID`
  - `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`
  - `ID_*_HOVER`
  - Constant Field Values

### EDITOR_NO_HOVER_CONFIGURED_ID

@Deprecated public static final String EDITOR_NO_HOVER_CONFIGURED_ID
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A string value used by the named preferences for hover configuration to describe that no hover should be shown for the given key modifiers.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_DEFAULT_HOVER_CONFIGURED_ID

@Deprecated public static final String EDITOR_DEFAULT_HOVER_CONFIGURED_ID
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A string value used by the named preferences for hover configuration to describe that the default hover should be shown for the given key modifiers. The default hover is described by the `EDITOR_DEFAULT_HOVER` property.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_DEFAULT_HOVER

@Deprecated public static final String EDITOR_DEFAULT_HOVER
Deprecated.
As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
A named preference that defines the hover named the 'default hover'. Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_SHOW_SEGMENTS

public static final String EDITOR_SHOW_SEGMENTS
A named preference that controls if segmented view (show selected element only) is turned on or off.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_BROWSER_LIKE_LINKS

@Deprecated public static final String EDITOR_BROWSER_LIKE_LINKS
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINKS_ENABLED`
A named preference that controls if browser like links are turned on or off.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER

@Deprecated public static final String EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINK_KEY_MODIFIER`
A named preference that controls the key modifier for browser like links.

Value is of type `String`.

Since:
  2.1
See Also:
  - Constant Field Values

### EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER_MASK

@Deprecated public static final String EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER_MASK
Deprecated.
As of 3.1, replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_HYPERLINK_KEY_MODIFIER_MASK`
A named preference that controls the key modifier mask for browser like links. The value is only used if the value of `EDITOR_BROWSER_LIKE_LINKS` cannot be resolved to valid SWT modifier bits.

Value is of type `String`.

Since:
  2.1.1
See Also:
  - `EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER`
  - Constant Field Values

### EDITOR_MARK_OCCURRENCES

public static final String EDITOR_MARK_OCCURRENCES
A named preference that controls whether occurrences are marked in the editor.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_STICKY_OCCURRENCES

public static final String EDITOR_STICKY_OCCURRENCES
A named preference that controls whether occurrences are sticky in the editor.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_TYPE_OCCURRENCES

public static final String EDITOR_MARK_TYPE_OCCURRENCES
A named preference that controls whether type occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_METHOD_OCCURRENCES

public static final String EDITOR_MARK_METHOD_OCCURRENCES
A named preference that controls whether method occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_FIELD_OCCURRENCES

public static final String EDITOR_MARK_FIELD_OCCURRENCES
A named preference that controls whether non-constant field occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_CONSTANT_OCCURRENCES

public static final String EDITOR_MARK_CONSTANT_OCCURRENCES
A named preference that controls whether constant (static final) occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_LOCAL_VARIABLE_OCCURRENCES

public static final String EDITOR_MARK_LOCAL_VARIABLE_OCCURRENCES
A named preference that controls whether local variable occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_EXCEPTION_OCCURRENCES

public static final String EDITOR_MARK_EXCEPTION_OCCURRENCES
A named preference that controls whether exception occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_METHOD_EXIT_POINTS

public static final String EDITOR_MARK_METHOD_EXIT_POINTS
A named preference that controls whether method exit points are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_MARK_BREAK_CONTINUE_TARGETS

public static final String EDITOR_MARK_BREAK_CONTINUE_TARGETS
A named preference that controls whether targets for of `break` and `continue` statements are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.2
See Also:
  - Constant Field Values

### EDITOR_MARK_IMPLEMENTORS

public static final String EDITOR_MARK_IMPLEMENTORS
A named preference that controls whether method exit points are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_PREFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_PREFIX
A named preference prefix for semantic highlighting preferences.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_PREFIX

public static final String EDITOR_JAVA_CODEMINING_PREFIX
A named preference prefix for Java code mining preferences.

Since:
  3.14
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED

@Deprecated public static final String EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED
Deprecated.
As of 3.1, this preference is not used or set any longer; see `SemanticHighlightings.affectsEnablement(IPreferenceStore, org.eclipse.jface.util.PropertyChangeEvent)`
A named preference that controls if semantic highlighting is enabled.

Value is of type `Boolean`:`true` if enabled.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_COLOR_SUFFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_COLOR_SUFFIX
A named preference suffix that controls a semantic highlighting's color.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.0
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_BOLD_SUFFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_BOLD_SUFFIX
A named preference suffix that controls if semantic highlighting has the text attribute bold.

Value is of type `Boolean`: `true` if bold.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_ITALIC_SUFFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_ITALIC_SUFFIX
A named preference suffix that controls if semantic highlighting has the text attribute italic.

Value is of type `Boolean`: `true` if italic.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_STRIKETHROUGH_SUFFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_STRIKETHROUGH_SUFFIX
A named preference suffix that controls if semantic highlighting has the text attribute strikethrough.

Value is of type `Boolean`: `true` if strikethrough.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_UNDERLINE_SUFFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_UNDERLINE_SUFFIX
A named preference suffix that controls if semantic highlighting has the text attribute underline.

Value is of type `Boolean`: `true` if underline.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED_SUFFIX

public static final String EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED_SUFFIX
A named preference suffix that controls if semantic highlighting is enabled.

Value is of type `Boolean`: `true` if enabled.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_DISABLE_OVERWRITE_MODE

@Deprecated public static final String EDITOR_DISABLE_OVERWRITE_MODE
Deprecated.
as of 3.1 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_DISABLE_OVERWRITE_MODE`
A named preference that controls disabling of the overwrite mode.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SMART_SEMICOLON

public static final String EDITOR_SMART_SEMICOLON
A named preference that controls the "smart semicolon" smart typing handler.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SMART_BACKSPACE

public static final String EDITOR_SMART_BACKSPACE
A named preference that controls the smart backspace behavior.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SMART_OPENING_BRACE

public static final String EDITOR_SMART_OPENING_BRACE
A named preference that controls the "smart opening brace" smart typing handler.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_SMART_TAB

public static final String EDITOR_SMART_TAB
A named preference that controls the smart tab behavior.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_CHECK_SPELLING

@Deprecated public static final String SPELLING_CHECK_SPELLING
Deprecated.
since 3.1, use `SpellingService.PREFERENCE_SPELLING_ENABLED` and `SpellingService.PREFERENCE_SPELLING_ENGINE`
A named preference that controls whether Java comments should be spell checked.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_IGNORE_DIGITS

public static final String SPELLING_IGNORE_DIGITS
A named preference that controls whether words containing digits should be skipped during spell checking.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_IGNORE_MIXED

public static final String SPELLING_IGNORE_MIXED
A named preference that controls whether mixed case words should be skipped during spell checking.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_IGNORE_SENTENCE

public static final String SPELLING_IGNORE_SENTENCE
A named preference that controls whether sentence capitalization should be ignored during spell checking.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_IGNORE_UPPER

public static final String SPELLING_IGNORE_UPPER
A named preference that controls whether upper case words should be skipped during spell checking.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_IGNORE_URLS

public static final String SPELLING_IGNORE_URLS
A named preference that controls whether URLs should be ignored during spell checking.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_IGNORE_SINGLE_LETTERS

public static final String SPELLING_IGNORE_SINGLE_LETTERS
A named preference that controls whether single letters should be ignored during spell checking.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### SPELLING_IGNORE_AMPERSAND_IN_PROPERTIES

public static final String SPELLING_IGNORE_AMPERSAND_IN_PROPERTIES
A named preference that controls whether '&' in Java properties files are ignored.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### SPELLING_IGNORE_NON_LETTERS

public static final String SPELLING_IGNORE_NON_LETTERS
A named preference that controls whether non-letters at word boundaries should be ignored during spell checking.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### SPELLING_IGNORE_JAVA_STRINGS

public static final String SPELLING_IGNORE_JAVA_STRINGS
A named preference that controls whether Java strings should be ignored during spell checking.

Value is of type `Boolean`.

Since:
  3.4
See Also:
  - Constant Field Values

### SPELLING_LOCALE

public static final String SPELLING_LOCALE
A named preference that controls the locale used for spell checking.

Value is of type `String`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_PROPOSAL_THRESHOLD

public static final String SPELLING_PROPOSAL_THRESHOLD
A named preference that controls the number of proposals offered during spell checking.

Value is of type `Integer`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_PROBLEMS_THRESHOLD

public static final String SPELLING_PROBLEMS_THRESHOLD
A named preference that controls the maximum number of problems reported during spell checking.

Value is of type `Integer`.

Since:
  3.4
See Also:
  - Constant Field Values

### SPELLING_USER_DICTIONARY

public static final String SPELLING_USER_DICTIONARY
A named preference that specifies the workspace user dictionary.

Value is of type `Integer`.

Since:
  3.0
See Also:
  - Constant Field Values

### SPELLING_USER_DICTIONARY_ENCODING

public static final String SPELLING_USER_DICTIONARY_ENCODING
A named preference that specifies encoding of the workspace user dictionary.

Value is of type `String`.

Since:
  3.3
See Also:
  - Constant Field Values

### SPELLING_ENABLE_CONTENTASSIST

public static final String SPELLING_ENABLE_CONTENTASSIST
A named preference that specifies whether spelling dictionaries are available to content assist. Note: This is currently not supported because the spelling engine cannot return word proposals but only correction proposals.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_FORMATSOURCE

@Deprecated public static final String FORMATTER_COMMENT_FORMATSOURCE
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT_SOURCE`
A named preference that controls whether code snippets are formatted in Javadoc comments.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_INDENTPARAMETERDESCRIPTION

@Deprecated public static final String FORMATTER_COMMENT_INDENTPARAMETERDESCRIPTION
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INDENT_PARAMETER_DESCRIPTION`
A named preference that controls whether description of Javadoc parameters are indented.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_FORMATHEADER

@Deprecated public static final String FORMATTER_COMMENT_FORMATHEADER
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT_HEADER`
A named preference that controls whether the header comment of a Java source file is formatted.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_INDENTROOTTAGS

@Deprecated public static final String FORMATTER_COMMENT_INDENTROOTTAGS
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INDENT_ROOT_TAGS`
A named preference that controls whether Javadoc root tags are indented.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_FORMAT

@Deprecated public static final String FORMATTER_COMMENT_FORMAT
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT`
A named preference that controls whether Javadoc comments are formatted by the content formatter.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_NEWLINEFORPARAMETER

@Deprecated public static final String FORMATTER_COMMENT_NEWLINEFORPARAMETER
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INSERT_NEW_LINE_FOR_PARAMETER`
A named preference that controls whether a new line is inserted after Javadoc root tag parameters.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_SEPARATEROOTTAGS

@Deprecated public static final String FORMATTER_COMMENT_SEPARATEROOTTAGS
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_INSERT_EMPTY_LINE_BEFORE_ROOT_TAGS`
A named preference that controls whether an empty line is inserted before the Javadoc root tag block.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_CLEARBLANKLINES

@Deprecated public static final String FORMATTER_COMMENT_CLEARBLANKLINES
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_CLEAR_BLANK_LINES`
A named preference that controls whether blank lines are cleared during formatting.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_LINELENGTH

@Deprecated public static final String FORMATTER_COMMENT_LINELENGTH
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_LINE_LENGTH`
A named preference that controls the line length of comments.

Value is of type `Integer`. The value must be at least 4 for reasonable formatting.

Since:
  3.0
See Also:
  - Constant Field Values

### FORMATTER_COMMENT_FORMATHTML

@Deprecated public static final String FORMATTER_COMMENT_FORMATHTML
Deprecated.
As of 3.1, replaced by `DefaultCodeFormatterConstants.FORMATTER_COMMENT_FORMAT_HTML`
A named preference that controls whether HTML tags are formatted.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### CODEASSIST_NONUITHREAD_COMPUTATION

public static final String CODEASSIST_NONUITHREAD_COMPUTATION
A named preference that controls whether completion processors should be called from the non-UI thread, when they declare ability to work from non-UI Thread.

Completion processors can declare whether they require UI Thread or not in their extension description, see `CompletionProposalComputerDescriptor.requiresUIThread()`.

Value is of type `Boolean`

Since:
  3.21
See Also:
  - Constant Field Values

### CODEASSIST_AUTOACTIVATION

public static final String CODEASSIST_AUTOACTIVATION
A named preference that controls if the Java code assist gets auto activated.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEASSIST_AUTOACTIVATION_DELAY

public static final String CODEASSIST_AUTOACTIVATION_DELAY
A name preference that holds the auto activation delay time in milliseconds.

Value is of type `Integer`.

See Also:
  - Constant Field Values

### CODEASSIST_SHOW_VISIBLE_PROPOSALS

public static final String CODEASSIST_SHOW_VISIBLE_PROPOSALS
A named preference that controls if code assist contains only visible proposals.

Value is of type `Boolean`. if `true` code assist only contains visible members. If `false` all members are included.

See Also:
  - Constant Field Values

### CODEASSIST_AUTOINSERT

public static final String CODEASSIST_AUTOINSERT
A named preference that controls if the Java code assist inserts a proposal automatically if only one proposal is available.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### CODEASSIST_DISABLE_COMPLETION_PROPOSAL_TRIGGER_CHARS

public static final String CODEASSIST_DISABLE_COMPLETION_PROPOSAL_TRIGGER_CHARS
A named preference that controls if the Java code assist ignores the insertion trigger characters for completion proposals.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - `ContentAssistant.enableCompletionProposalTriggerChars(boolean)`
  - Constant Field Values

### CODEASSIST_ADDIMPORT

public static final String CODEASSIST_ADDIMPORT
A named preference that controls if the Java code assist adds import statements.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### CODEASSIST_INSERT_COMPLETION

public static final String CODEASSIST_INSERT_COMPLETION
A named preference that controls if the Java code assist only inserts completions. If set to false the proposals can also _replace_ code.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### CODEASSIST_CASE_SENSITIVITY

public static final String CODEASSIST_CASE_SENSITIVITY
A named preference that controls whether code assist proposals filtering is case sensitive or not.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEASSIST_ORDER_PROPOSALS

@Deprecated public static final String CODEASSIST_ORDER_PROPOSALS
Deprecated.
use `CODEASSIST_SORTER` instead
A named preference that defines if code assist proposals are sorted in alphabetical order.

Value is of type `Boolean`. If `true` that are sorted in alphabetical order. If `false` that are unsorted.

See Also:
  - Constant Field Values

### CODEASSIST_FILL_ARGUMENT_NAMES

public static final String CODEASSIST_FILL_ARGUMENT_NAMES
A named preference that controls if argument names are filled in when a method is selected from as list of code assist proposal.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### CODEASSIST_GUESS_METHOD_ARGUMENTS

public static final String CODEASSIST_GUESS_METHOD_ARGUMENTS
A named preference that controls if method arguments are guessed when a method is selected from as list of code assist proposal.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVA

public static final String CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVA
A named preference that holds the characters that auto activate code assist in Java code.

Value is of type `String`. All characters that trigger auto code assist in Java code.

See Also:
  - Constant Field Values

### CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVADOC

public static final String CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVADOC
A named preference that holds the characters that auto activate code assist in Javadoc.

Value is of type `String`. All characters that trigger auto code assist in Javadoc.

See Also:
  - Constant Field Values

### CODEASSIST_PROPOSALS_BACKGROUND

@Deprecated public static final String CODEASSIST_PROPOSALS_BACKGROUND
Deprecated.
As of 3.4, replaced by `JFacePreferences.CONTENT_ASSIST_BACKGROUND_COLOR`,
A named preference that holds the background color used in the code assist selection dialog.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### CODEASSIST_PROPOSALS_FOREGROUND

@Deprecated public static final String CODEASSIST_PROPOSALS_FOREGROUND
Deprecated.
As of 3.4, replaced by `JFacePreferences.CONTENT_ASSIST_FOREGROUND_COLOR`,
A named preference that holds the foreground color used in the code assist selection dialog.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### CODEASSIST_PARAMETERS_BACKGROUND

public static final String CODEASSIST_PARAMETERS_BACKGROUND
A named preference that holds the background color used for parameter hints.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### CODEASSIST_PARAMETERS_FOREGROUND

public static final String CODEASSIST_PARAMETERS_FOREGROUND
A named preference that holds the foreground color used in the code assist selection dialog.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### CODEASSIST_REPLACEMENT_BACKGROUND

public static final String CODEASSIST_REPLACEMENT_BACKGROUND
A named preference that holds the background color used in the code assist selection dialog to mark replaced code.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### CODEASSIST_REPLACEMENT_FOREGROUND

public static final String CODEASSIST_REPLACEMENT_FOREGROUND
A named preference that holds the foreground color used in the code assist selection dialog to mark replaced code.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  2.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### CODEASSIST_FAVORITE_STATIC_MEMBERS

public static final String CODEASSIST_FAVORITE_STATIC_MEMBERS
A named preference that holds the favorite static members.

Value is of type `String`: semicolon separated list of favorites.

Since:
  3.3
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD

@Deprecated public static final String REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD
Deprecated.
Use method `RefactoringCore.getConditionCheckingFailedSeverity()`.
A named preference that controls the behavior of the refactoring wizard for showing the error page.

Value is of type `String`. Valid values are: `REFACTOR_FATAL_SEVERITY`, `REFACTOR_ERROR_SEVERITY`, `REFACTOR_WARNING_SEVERITY` `REFACTOR_INFO_SEVERITY`, `REFACTOR_OK_SEVERITY`.

See Also:
  - `REFACTOR_FATAL_SEVERITY`
  - `REFACTOR_ERROR_SEVERITY`
  - `REFACTOR_WARNING_SEVERITY`
  - `REFACTOR_INFO_SEVERITY`
  - `REFACTOR_OK_SEVERITY`
  - Constant Field Values

### REFACTOR_FATAL_SEVERITY

@Deprecated public static final String REFACTOR_FATAL_SEVERITY
Deprecated.
Use constant `RefactoringStatus.FATAL`
A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

See Also:
  - `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`
  - Constant Field Values

### REFACTOR_ERROR_SEVERITY

@Deprecated public static final String REFACTOR_ERROR_SEVERITY
Deprecated.
Use constant `RefactoringStatus.ERROR`
A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

See Also:
  - `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`
  - Constant Field Values

### REFACTOR_WARNING_SEVERITY

@Deprecated public static final String REFACTOR_WARNING_SEVERITY
Deprecated.
Use constant `RefactoringStatus.WARNING`
A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

See Also:
  - `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`
  - Constant Field Values

### REFACTOR_INFO_SEVERITY

@Deprecated public static final String REFACTOR_INFO_SEVERITY
Deprecated.
Use constant `RefactoringStatus.INFO`
A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

See Also:
  - `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`
  - Constant Field Values

### REFACTOR_OK_SEVERITY

@Deprecated public static final String REFACTOR_OK_SEVERITY
Deprecated.
Use constant `RefactoringStatus.OK`
A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

See Also:
  - `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`
  - Constant Field Values

### REFACTOR_SAVE_ALL_EDITORS

public static final String REFACTOR_SAVE_ALL_EDITORS
A named preference that controls whether all dirty editors are automatically saved before a refactoring is executed.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### REFACTOR_LIGHTWEIGHT

public static final String REFACTOR_LIGHTWEIGHT
A named preference that controls whether certain refactorings use a lightweight UI when started from a Java editor.

Value is of type `Boolean`.

Note: this is work in progress and may change any time

Since:
  3.3
See Also:
  - Constant Field Values

### SEARCH_USE_REDUCED_MENU

public static final String SEARCH_USE_REDUCED_MENU
A named preference that controls a reduced search menu is used in the Java editors.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### BROWSING_LINK_VIEW_TO_EDITOR

public static final String BROWSING_LINK_VIEW_TO_EDITOR
A named preference that controls if the Java Browsing views are linked to the active editor.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### BROWSING_STACK_VERTICALLY

public static final String BROWSING_STACK_VERTICALLY
A named preference that controls the layout of the Java Browsing views vertically. Boolean value.

Value is of type `Boolean`. If `true` the views are stacked vertical. If `false` they are stacked horizontal.

See Also:
  - Constant Field Values

### TEMPLATES_USE_CODEFORMATTER

public static final String TEMPLATES_USE_CODEFORMATTER
A named preference that controls if templates are formatted when applied.

Value is of type `Boolean`.

Since:
  2.1
See Also:
  - Constant Field Values

### FORMATTER_PROFILE

public static final String FORMATTER_PROFILE
A named preference that controls which profile is used by the code formatter.

Value is of type `String`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_ANNOTATION_ROLL_OVER

public static final String EDITOR_ANNOTATION_ROLL_OVER
A named preference that controls whether annotation roll over is used or not.

Value is of type `Boolean`. If `true` the annotation ruler column uses a roll over to display multiple annotations

Since:
  3.0
See Also:
  - Constant Field Values

### CODEASSIST_PREFIX_COMPLETION

public static final String CODEASSIST_PREFIX_COMPLETION
A named preference that controls if content assist inserts the common prefix of all proposals before presenting choices.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### CODEASSIST_EXCLUDED_CATEGORIES

public static final String CODEASSIST_EXCLUDED_CATEGORIES
A named preference that controls which completion proposal categories have been excluded from the default proposal list.

Value is of type `String`, a "\0"-separated list of identifiers.

Since:
  3.2
See Also:
  - `getExcludedCompletionProposalCategories()`
  - `setExcludedCompletionProposalCategories(String[])`
  - Constant Field Values

### CODEASSIST_CATEGORY_ORDER

public static final String CODEASSIST_CATEGORY_ORDER
A named preference that controls which the order of the specific code assist commands.

Value is of type `String`, a "\0"-separated list with categoryId:cycleState where

- categoryId is the `String` holding the category ID
- cycleState is an `int` which specifies the rank and the enablement:
  - enabled= cycleState < 65535
  - rank= enabled ? cycleState : cycleState - 65535)

Since:
  3.2
See Also:
  - Constant Field Values

### EDITOR_FOLDING_ENABLED

public static final String EDITOR_FOLDING_ENABLED
A named preference that controls whether folding is enabled in the Java editor.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_FOLDING_PROVIDER

public static final String EDITOR_FOLDING_PROVIDER
A named preference that stores the configured folding provider.

Value is of type `String`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_FOLDING_JAVADOC

public static final String EDITOR_FOLDING_JAVADOC
A named preference that stores the value for Javadoc folding for the default folding provider.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_FOLDING_INNERTYPES

public static final String EDITOR_FOLDING_INNERTYPES
A named preference that stores the value for inner type folding for the default folding provider.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_FOLDING_METHODS

public static final String EDITOR_FOLDING_METHODS
A named preference that stores the value for method folding for the default folding provider.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_FOLDING_IMPORTS

public static final String EDITOR_FOLDING_IMPORTS
A named preference that stores the value for imports folding for the default folding provider.

Value is of type `Boolean`.

Since:
  3.0
See Also:
  - Constant Field Values

### EDITOR_FOLDING_HEADERS

public static final String EDITOR_FOLDING_HEADERS
A named preference that stores the value for header comment folding for the default folding provider.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PREF_DEFAULT_EXPAND_WITH_CONSTRUCTORS_MEMBERS

public static final String PREF_DEFAULT_EXPAND_WITH_CONSTRUCTORS_MEMBERS
A named preference that holds the methods or types whose methods are by default expanded with constructors in the Call Hierarchy.

Value is of type `String`: semicolon separated list of fully qualified type names appended with ".*" or "." + method name.

Since:
  3.6
See Also:
  - Constant Field Values

### PREF_ANONYMOUS_EXPAND_WITH_CONSTRUCTORS

public static final String PREF_ANONYMOUS_EXPAND_WITH_CONSTRUCTORS
A named preference that controls whether methods from anonymous types are by default expanded with constructors in the Call Hierarchy.

Value is of type `Boolean`.

Since:
  3.6
See Also:
  - Constant Field Values

### PROPERTIES_FILE_EDITOR_TEXT_FONT

public static final String PROPERTIES_FILE_EDITOR_TEXT_FONT
The symbolic font name for the Java properties file editor text font (value `"org.eclipse.jdt.ui.PropertiesFileEditor.textfont"`).

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_KEY

public static final String PROPERTIES_FILE_COLORING_KEY
A named preference that holds the color used to render keys in a properties file.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### PROPERTIES_FILE_COLORING_KEY_BOLD

public static final String PROPERTIES_FILE_COLORING_KEY_BOLD
A named preference that controls whether keys in a properties file are rendered in bold.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_KEY_ITALIC

public static final String PROPERTIES_FILE_COLORING_KEY_ITALIC
A named preference that controls whether keys in a properties file are rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_KEY_STRIKETHROUGH

public static final String PROPERTIES_FILE_COLORING_KEY_STRIKETHROUGH
A named preference that controls whether keys in a properties file are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_KEY_UNDERLINE

public static final String PROPERTIES_FILE_COLORING_KEY_UNDERLINE
A named preference that controls whether keys in a properties file are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_COMMENT

public static final String PROPERTIES_FILE_COLORING_COMMENT
A named preference that holds the color used to render comments in a properties file.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### PROPERTIES_FILE_COLORING_COMMENT_BOLD

public static final String PROPERTIES_FILE_COLORING_COMMENT_BOLD
A named preference that controls whether comments in a properties file are rendered in bold.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_COMMENT_ITALIC

public static final String PROPERTIES_FILE_COLORING_COMMENT_ITALIC
A named preference that controls whether comments in a properties file are rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_COMMENT_STRIKETHROUGH

public static final String PROPERTIES_FILE_COLORING_COMMENT_STRIKETHROUGH
A named preference that controls whether comments in a properties file are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_COMMENT_UNDERLINE

public static final String PROPERTIES_FILE_COLORING_COMMENT_UNDERLINE
A named preference that controls whether comments in a properties file are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_VALUE

public static final String PROPERTIES_FILE_COLORING_VALUE
A named preference that holds the color used to render values in a properties file.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### PROPERTIES_FILE_COLORING_VALUE_BOLD

public static final String PROPERTIES_FILE_COLORING_VALUE_BOLD
A named preference that controls whether values in a properties file are rendered in bold.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_VALUE_ITALIC

public static final String PROPERTIES_FILE_COLORING_VALUE_ITALIC
A named preference that controls whether values in a properties file are rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_VALUE_STRIKETHROUGH

public static final String PROPERTIES_FILE_COLORING_VALUE_STRIKETHROUGH
A named preference that controls whether values in a properties file are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_VALUE_UNDERLINE

public static final String PROPERTIES_FILE_COLORING_VALUE_UNDERLINE
A named preference that controls whether values in a properties file are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ASSIGNMENT

public static final String PROPERTIES_FILE_COLORING_ASSIGNMENT
A named preference that holds the color used to render assignments in a properties file.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ASSIGNMENT_BOLD

public static final String PROPERTIES_FILE_COLORING_ASSIGNMENT_BOLD
A named preference that controls whether assignments in a properties file are rendered in bold.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ASSIGNMENT_ITALIC

public static final String PROPERTIES_FILE_COLORING_ASSIGNMENT_ITALIC
A named preference that controls whether assignments in a properties file are rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ASSIGNMENT_STRIKETHROUGH

public static final String PROPERTIES_FILE_COLORING_ASSIGNMENT_STRIKETHROUGH
A named preference that controls whether assignments in a properties file are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ASSIGNMENT_UNDERLINE

public static final String PROPERTIES_FILE_COLORING_ASSIGNMENT_UNDERLINE
A named preference that controls whether assignments in a properties file are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ARGUMENT

public static final String PROPERTIES_FILE_COLORING_ARGUMENT
A named preference that holds the color used to render arguments in a properties file.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ARGUMENT_BOLD

public static final String PROPERTIES_FILE_COLORING_ARGUMENT_BOLD
A named preference that controls whether arguments in a properties file are rendered in bold.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ARGUMENT_ITALIC

public static final String PROPERTIES_FILE_COLORING_ARGUMENT_ITALIC
A named preference that controls whether arguments in a properties file are rendered in italic.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ARGUMENT_STRIKETHROUGH

public static final String PROPERTIES_FILE_COLORING_ARGUMENT_STRIKETHROUGH
A named preference that controls whether arguments in a properties file are rendered in strikethrough.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ARGUMENT_UNDERLINE

public static final String PROPERTIES_FILE_COLORING_ARGUMENT_UNDERLINE
A named preference that controls whether arguments in a properties file are rendered in underline.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### CODEASSIST_LRU_HISTORY

public static final String CODEASSIST_LRU_HISTORY
A named preference that stores the content assist LRU history

Value is an XML encoded version of the history.

Since:
  3.2
See Also:
  - `ContentAssistHistory.load(org.eclipse.core.runtime.Preferences, String)`
  - Constant Field Values

### CODEASSIST_SORTER

public static final String CODEASSIST_SORTER
A named preference that stores the content assist sorter id.

Value is a `String`.

Since:
  3.2
See Also:
  - `ProposalSorterRegistry`
  - Constant Field Values

### EDITOR_SOURCE_HOVER_BACKGROUND_COLOR

public static final String EDITOR_SOURCE_HOVER_BACKGROUND_COLOR
A named preference that holds the source hover background color.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.3
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SOURCE_HOVER_BACKGROUND_COLOR_SYSTEM_DEFAULT

public static final String EDITOR_SOURCE_HOVER_BACKGROUND_COLOR_SYSTEM_DEFAULT
A named preference that tells whether to use the system default color (`SWT.COLOR_INFO_BACKGROUND`) for the source hover background color.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### DECORATE_TEST_CODE_CONTAINER_ICONS

public static final String DECORATE_TEST_CODE_CONTAINER_ICONS
A named preference that tells whether to use different icons for source folders marked to contain test code and classpath entries visible only for test sources.

Value is of type `Boolean`.

Since:
  3.14
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_CODEMINING_ENABLED

public static final String EDITOR_CODEMINING_ENABLED
A named preference that controls whether codemining is enabled in the Java editor.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_CODEMINING_AT_LEAST_ONE

public static final String EDITOR_JAVA_CODEMINING_SHOW_CODEMINING_AT_LEAST_ONE
A named preference that stores the value for "Only if there is at least one result".

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_IGNORE_INEXACT_MATCHES

public static final String EDITOR_JAVA_CODEMINING_IGNORE_INEXACT_MATCHES
A named preference that stores the value for "Ignore inexact matches".

Value is of type `Boolean`.

Since:
  3.28
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_REFERENCES

public static final String EDITOR_JAVA_CODEMINING_SHOW_REFERENCES
A named preference that stores the value for "Show references" codemining.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_TYPES

public static final String EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_TYPES
A named preference that stores the value for "Show references" on types.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_FIELDS

public static final String EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_FIELDS
A named preference that stores the value for "Show references" on fields.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_METHODS

public static final String EDITOR_JAVA_CODEMINING_SHOW_REFERENCES_ON_METHODS
A named preference that stores the value for "Show references" on methods.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_IMPLEMENTATIONS

public static final String EDITOR_JAVA_CODEMINING_SHOW_IMPLEMENTATIONS
A named preference that stores the value for "Show implementations" codemining.

Value is of type `Boolean`.

Since:
  3.16
See Also:
  - Constant Field Values

### EDITOR_JAVA_CODEMINING_SHOW_PARAMETER_NAMES

public static final String EDITOR_JAVA_CODEMINING_SHOW_PARAMETER_NAMES
A named preference that stores the value for "Show parameter names" codemining.

Value is of type `Boolean`.

Since:
  3.18
See Also:
  - Constant Field Values

### PREF_MAX_CHAINS

public static final String PREF_MAX_CHAINS
A named preference that stores the maximum number of chain completions to be proposed at one time.

Value is of type `Integer`

Since:
  3.18
See Also:
  - Constant Field Values

### PREF_MIN_CHAIN_LENGTH

public static final String PREF_MIN_CHAIN_LENGTH
A named preference that stores the minimum number of chain sequences for a given completion.

Value is of type `Integer`

Since:
  3.18
See Also:
  - Constant Field Values

### PREF_MAX_CHAIN_LENGTH

public static final String PREF_MAX_CHAIN_LENGTH
A named preference that stores the maximum number of chain sequences for a given completion.

Value is of type `Integer`

Since:
  3.18
See Also:
  - Constant Field Values

### PREF_CHAIN_TIMEOUT

public static final String PREF_CHAIN_TIMEOUT
A named preference that stores the amount of time (in seconds) to allow for chain completion processing. The chain completion processor timeout value.

Value is of type `Integer`

Since:
  3.18
See Also:
  - Constant Field Values

### PREF_CHAIN_IGNORED_TYPES

public static final String PREF_CHAIN_IGNORED_TYPES
A named preference that stores a '|' separated list of types to exclude from chain completion processing.

Value is of type `String`

Since:
  3.18
See Also:
  - Constant Field Values

## Method Details

### initializeDefaultValues

public static void initializeDefaultValues(IPreferenceStore store)
Initializes the given preference store with the default values.

Parameters:
  `store` - the preference store to be initialized
Since:
  2.1

### getPreferenceStore

public static IPreferenceStore getPreferenceStore()
Returns the JDT-UI preference store.

Returns:
  the JDT-UI preference store

### encodeJRELibrary

public static String encodeJRELibrary(String description, IClasspathEntry[] entries)
Encodes a JRE library to be used in the named preference `NEWPROJECT_JRELIBRARY_LIST`.

Parameters:
  `description` - a string value describing the JRE library. The description is used to identify the JDR library in the UI
  `entries` - an array of classpath entries to be encoded
Returns:
  the encoded string.

### decodeJRELibraryDescription

public static String decodeJRELibraryDescription(String encodedLibrary)
Decodes an encoded JRE library and returns its description string.

Parameters:
  `encodedLibrary` - the encoded library
Returns:
  the description of an encoded JRE library
See Also:
  - `encodeJRELibrary(String, IClasspathEntry[])`

### decodeJRELibraryClasspathEntries

public static IClasspathEntry[] decodeJRELibraryClasspathEntries(String encodedLibrary)
Decodes an encoded JRE library and returns its class path entries.

Parameters:
  `encodedLibrary` - the encoded library
Returns:
  the array of classpath entries of an encoded JRE library.
See Also:
  - `encodeJRELibrary(String, IClasspathEntry[])`

### getDefaultJRELibrary

public static IClasspathEntry[] getDefaultJRELibrary()
Returns the current configuration for the JRE to be used as default in new Java projects. This is a convenience method to access the named preference `NEWPROJECT_JRELIBRARY_LIST` with the index defined by `NEWPROJECT_JRELIBRARY_INDEX`.

Returns:
  the current default set of class path entries
See Also:
  - `NEWPROJECT_JRELIBRARY_LIST`
  - `NEWPROJECT_JRELIBRARY_INDEX`

### getExcludedCompletionProposalCategories

public static String[] getExcludedCompletionProposalCategories()
Returns the completion proposal categories which are excluded from the default proposal list.

Returns:
  an array with the IDs of the excluded categories
Since:
  3.4
See Also:
  - `CODEASSIST_EXCLUDED_CATEGORIES`

### setExcludedCompletionProposalCategories

public static void setExcludedCompletionProposalCategories(String[] categories)
Sets the completion proposal categories which are excluded from the default proposal list and reloads the registry.

Parameters:
  `categories` - the array with the IDs of the excluded categories
Since:
  3.4
See Also:
  - `CODEASSIST_EXCLUDED_CATEGORIES`

### getPreference

public static String getPreference(String key, IJavaProject project)
Returns the value for the given key in the given context.

Parameters:
  `key` - The preference key
  `project` - The current context or `null` if no context is available and the workspace setting should be taken. Note that passing `null` should be avoided.
Returns:
  Returns the current value for the string.
Since:
  3.1